v5.6.1
[*] Administrative panel

[**] Added option to view user's device statistics.
[**] Fixed filtration of streaming link by an IP address.
[**] Fixed error when editing admins' group.
[**] Fixed error of the assigning of the tariff plan in a user's profile.
[**] Fixed Russian text on the users' list and tariff plan pages.
[**] Fixed error "sh: 1: /usr/sbin/sendmail: not found" in the Apache error log.

[*] Ministra Classic

[**] Fixed error of accessibility to age-restricted content.

v5.6.0

[*] Административная панель
[**] Рефакторинг ядра платформы.
[**] Реализована возможность очистки Лицензионных ключей в административной панели.
[**] Добавлена возможность ограничивать доступ пользователей к сервису по IP-адресу в настройках реселлера.
[**] Добавлена возможность ограничивать доступ к каналу по IP-адресу пользователя.
[**] Реализованы групповые операции с пользовательскими аккаунтами.
[**] Улучшена статистика на экране Панель управления: добавлена информация об устройствах пользователей, данные о Лицензионных ключах и контенте, уменьшен интервал автообновлений до 10 секунд.
[**] Переработан механизм установки тем.
[**] Добавлена возможность задавать диапазон дат при фильтрации пользователей.
[**] Реализовано закрытие всплывающих окон при нажатии на клавишу Esc.
[**] Добавлены недостающие модели приставок в формах обновления прошивки и добавления события.
[**] Добавлен фильтр по бессрочным тарифам и со сроком, а также колонка со сроком действия тарифа.
[**] Исправлена возможность прокручивать окно добавления события.
[**] Исправлен механизм подсчета количества реселлеров.
[**] Исправлена ошибка с отправкой форм при нажатии кнопки Enter.
[**] Исправлено отображение обложки и добавление жанра в Аудио клубе.
[**] Добавлена проверка на уникальность названий пакетов услуг и тарифов.
[**] Добавлено отображение логина пользователей в списке событий.
[**] Добавлена фильтрация по избранному на странице списков фильтров пользователей.
[**] Исправлено перемещение пользователей между реселлерами.
[**] Исправлено добавление и редактирование тарифов.
[**] Исправлена валидация поля Название канала.
[**] Переработана страница со списком видео и страница добавления фильмов в Видео клубе.
[**] Переработана сортировка по году выпуска в Видео клубе.
[**] Исправлено обновление таблицы при удалении пользователя из группы пользователей.
[**] Исправлена ошибка при повторном открытии окна добавления группы пользователей.
[**] Переработано добавление модулей в пакете услуг.
[**] Исправлен импорт каналов с жанром из m3u.
[**] Исправлена ошибка при поиске зоны вещания.
[**] Исправлено обновление поля родительского контроля после сброса.
[**] Исправлено отображение страницы со списком приложений Smart Launcher.
[**] Исправлена фильтрация по версии и дате на странице приложений Smart Launcher.
[**] Исправлена ошибка при добавлении приложения Smart Launcher.
[**] Добавлен выбор времени появления уведомления в зависимости от срока действия тарифа.
[**] Исправлено сохранение нового фильтра на странице с пользователями.
[**] Переработана страница логов пользователей.
[**] Исправлена форма добавления и редактирования пользователей.
[**] Исправлена локализация для раздела Лицензионные ключи и Реклама.
[**] Исправлено отображение даты последнего просмотра в разделе Хранилище.
[**] Исправлена работа фокуса на поле URL при добавлении файла для видео.
[**] Исправлены подсказки в Видео клубе.
[**] Исправлена валидация поля Жанр в Видео клубе.
[**] Увеличено максимальное количество сезонов и серий с 15 до 50 при добавлении сериала в Видео клубе.
[**] Исправлен выбор языка при добавлении файла для видео.
[**] Добавлено отображение названия видео в навигационной цепочке.
[**] Исправлено отображение информации о пользователях в группе.
[**] Переименованы темы на странице редактирования темы и в профиле пользователя.
[**] Исправлено отображение количества серий в сезоне.
[**] Исправлено перенаправление ссылок в нижней части административной панели на языковую версию сайта.
[**] Переработан порядок операций над пользователем.
[**] Переработано отображение кнопки добавления пользователя.
[**] Переработано сообщение, которое отображается при отсутствии пользователей, соответствующих выбранному фильтру.
[**] Добавлено поле Автор для видео и возможность отфильтровать по администратору, который загрузил видео.
[**] Добавлены колонки с тарифом и группой пользователя в раздел Пользователи.
[**] Исправлено отображение полосы прокрутки на странице информации о видео при использовании автозаполнения.
[**] Исправлено описание полей в форме добавления обновления прошивки.
[**] Исправлена установка пакета в качестве опционального при редактировании тарифного плана.
[**] Исправлена ошибка с добавлением шаблона сообщения при отсутствии уведомлений в разделе тарифные планы.

[*] Ministra Classic
[**] Добавлены источники курсов валют minfin, bankua.
[**] Исправлена реакция на ПДУ при открытии описания пакета услуг в Личном кабинете.
[**] Исправлена возможность записывать передачу из окна EPG на флешку с канала, который транслируется с помощью Flussonic.
[**] Исправлено отображение рейтинга в Видео клубе.
[**] Исправлено переключение каналов в категории после выключения приставки.
[**] Исправлено отображение длинных названий каналов.
[**] Исправлено отображение всплывающего окна ввода пароля родительского контроля.

[**] Приложения Smart Launcher
[**] Реализован пользовательский интерфейс Prime Launcher.
[**] Реализован выход из формы "Service is not available. Please contact your service provider" через кнопку Home на ПДУ.
[**] Реализован переход между экранами, вызов прогресс-бара и подтверждение действий при помощи мыши.
[**] Добавлено уведомление с номером и названием канала при переключении между каналами с ПДУ.
[**] Исправлен запуск приложений Радио, Проводник и DVB.
[**] Исправлено отключение возможности использовать пульт ДУ для управления приставкой.
[**] Переработана виртуальная клавиатура.
[**] Исправлено окно смены пароля родительского контроля.
[**] Исправлено отображение активных пунктов меню в Браузере.
[**] Исправлен сброс фильтров в приложениях Аудио клуб и Проводник.
[**] Исправлено сохранение города в приложении Погода после перезапуска портала.
[**] Добавлено ограничение длины имени канала и имени файла в приложении Записи.
[**] Исправлено отображение горячих клавиш и адресной строки после воспроизведения файла по URL в Браузере.
[**] Исправлено отображение всех фильтров в Проводнике.
[**] Исправлен перевод фокуса в Проводнике.
[**] Исправлено сохранение выбранной заставки после перезагрузки портала.
[**] Исправлена навигация в PIP.
[**] Исправлена ошибка с постановкой эквалайзера на паузу после разворачивания плеера из PiP в Аудио клубе.
[**] Исправлен ввод с помощью служебных кнопок на клавиатуре.
[**] Исправлено отображение всплывающего окна Действие в Проводнике.
[**] Исправлен фокус после установки родительского контроля на приложение.
[**] Исправлено отображение индикатора Избранного после сброса фильтров в Радио.
[**] Исправлена иконка приложения Memory.
[**] Исправлено отображение эквалайзера при сворачивании плеера в PiP.
[**] Исправлено отображение стрелок в менеджере задач.
[**] Исправлена установка фокуса в Проводнике.
[**] Исправлено отображение обложки в Аудио клубе.
[**] Исправлена ошибка со смещением радиостанции в списке после сброса фильтров в Радио.

[*] ТВ
[**] Исправлено отображение индикатора уровня звука при изменении громкости.
[**] Исправлено отображение превью канала после перехода в EPG.
[**] Исправлена возможность управления ТВ после переключения канала при помощи цифр.
[**] Исправлена навигация при переключении между передачами в расширенном EPG.
[**] Исправлено отображение кнопки "F2 Play" при наведении фокуса на пустой список EPG.
[**] Исправлено окно подтверждения сброса фильтров.
[**] Исправлен фокус при скрытии плеера в режиме предпросмотра.
[**] Исправлено отображение вкладок приложений при разрешении 720х576.
[**] Добавлена горячая клавиша для проигрывания передачи из ТВ-архива в ТV Classic.
[**] Добавлена возможность коррекции звука.

[*] Видео клуб
[**] Исправлено отображение PIP при разрешении 720х576 и 1280х720.
[**] Исправлена постановка канала на серверный TimeShift при включенной настройке TimeShift.
[**] Исправлено добавление и удаление видео из Избранного в Prime Video Club.
[**] Исправлена сортировка фильмов по рейтингу.
[**] Исправлен перенос текста названия видео на следующую строку.
[**] Исправлено отображение иконки паузы в PIP.
[**] Исправлена возможность повторного добавления в Избранное.
[**] Исправлено отображение скриншотов.
[**] Исправлено отображение карточки фильма без рейтинга или возрастного ограничения.
[**] Исправлено добавление и удаление фильмов в категорию недосмотренное.

[*] Плеер
[**] Исправлен индикатор времени на Панели управления при перемотке/постановке на паузу.
[**] Исправлена ошибка с проигрыванием плеера на фоне при отправке события на обновление списка каналов.
[**] Исправлено проигрывание видео после запуска нескольких плееров.

[*] Настройки
[**] Исправлен сброс фильтров.
[**] Исправлено отображение времени после изменения часового пояса.
[**] Исправлена смена видеовыхода после перезагрузки портала.
[**] Исправлено отображение списка подразделов в армянской локализации.
[**] Исправлено изменение адреса NTP сервера.

[**] Ministra Player MAG Android
[**] Реализовано управление модулями на MAG Android при помощи тарифных планов.
[**] Исправлено отображения боковых окон с жанрами, годами и рейтингом в Prime Video Club.
[**] Исправлена работа клавиатуры при вводе пароля.
[**] Исправлена очистка поискового запроса.

v 5.5.0
[*]Административная панель
[**]Переработаны формы и модальные окна на страницах разделов Пользователи, События, Аудио клуб.
[**]Исправлено формирование описания фильтра в разделе Пользователи.
[**]Исправлено создание события на основе фильтра с несколькими условиями.
[**]Исправлен переход между страницами раздела Администраторы.
[**]Исправлена ошибка с отображением формы ТВ архива в Пакете услуг.
[**]Исправлена ошибка при отправке события пользователям.
[**]Реализована возможность отправлять события пользователям без MAC-адреса.
[**]Исправлена прокрутка страниц в разделах События, Аудио клуб, Видео клуб.
[**]Переработана валидация форм в разделе События, Тарифные планы.
[**]Исправлено отображение значений по умолчанию при повторном открытии формы отправки события.
[**]Улучшен механизм проверки уникальности логина при создании нового пользователя.
[**]Исправлена ошибка с дублированием строки описания фильтра по Типу медиа.
[**]Улучшено визуальное оформление элементов верхней панели меню, навигации, кнопок на панели фильтрации, страницы поиска видео в разделе Хранилище.
[**]Исправлены ошибки при добавлении видео с использованием автозаполнения.
[**]Добавлено отображение названия фильма при редактировании.
[**]Переработан механизм управления отображением столбцов таблицы.
[**]Исправлены ошибки при добавлении Classic приложений.
[**]Исправлена работа поля nPVR на странице редактирования ТВ канала.
[**]Переработаны поля ввода даты на форме добавления события в расписание.
[**]Реализовано окно подтверждения удаления в разделе Тарифы и закрытия вкладки во время сброса пакетов.
[**]Переработан интерфейс окна уведомлений.
[**]Реализовано окно для запроса у пользователя разрешения на выход из раздела Импорт из m3u.
[**]Оптимизировано время выполнения запроса на формирование списка фильмов в Видео клубе.

[*]Ministra Classic
[**]Исправлена ошибка воспроизведения канала в режиме TimeShift при использовании Stalker DVR.
[**]Исправлена ошибка с выбором продолжительности записи канала с настроенным nPVR.
[**]Внесены изменения в формат ссылки ТВ-архива при использовании Flussonic DVR.

[*]Приложения
[**]Добавлено новое приложение Video Club Prime.
[**]Исправлена работа функции Multicast proxy.
[**]Добавлен эстонский и латышский язык.
[**]Исправлен перевод фокуса с кнопки List в плеере.

[*]Приложение TV для Smart Launcher
[**]Исправлено некорректное отображение кнопки Пауза в PIP режиме.
[**]Реализована возможность записывать и воспроизводить каналы из ТВ архива нажатием на кнопку ОК на пульте ДУ.
[**]Исправлена ошибка с отображением панели управления плеером поверх списка каналов.

[*]Приложение TV Classic для Smart Launcher
[**]Исправлено отображение канала с EPG в режиме просмотра списка каналов.
[**]Исправлена ошибка с отображением информации о первой передаче из списка EPG вместо текущей.

[*]Приложение Видео клуб для Smart Launcher
[**]Исправлена ошибка с отображением дублирующихся жанров при фильтрации.


v 5.4.1
[*] Исправлены ошибки при выполнении phing после обновления операционной системы сервера.
[*] Реализовано автоматическое списание лицензионных ключей для Android STB.
[*] Добавлена опция, позволяющая отключить проверку сервера сертификатов.
[*] Исправлена проблема с отображением фильмов в хранилище при обновлении до версии Ministra TV Platform 5.4.
[*] Исправлена фильтрация по Статусу и Состоянию в Списке пользователей.
[*] Исправлено отображение списка жанров на страницах в Статистике видео.
[*] Внесены изменение в раздел "Реклама" в административной панели.
[*] Исправлена работа поиска радиостанций в разделе Радио.
[*] Реализована возможность перехода к файлам фильма при нажатии на каталог.
[*] Исправлено отображение логотипа для канала, импортированного из m3u.
[*] Остановлена поддержка протокола NFS в Караоке.
[*] Исправлено отображение значения в поле Статус мониторинга на странице редактирования канала.
[*] Реализована возможность добавления более сотни радиостанций в разделе Радио.
[*] Исправлена индикация при переходе в режим ожидания.
[*] Исправлена ошибка с неправильным выбором значения курсов валют ЦБР.
[*] Исправлена ошибка воспроизведения канала в режиме TimeShift при использовании Flussonic DVR.
[*] Исправлена ошибка с переходом в TV Guide по окончанию просмотра канала из ТВ архива.
[*] Исправлена ошибка перемотки передач ТВ-архива при использовании Flussonic DVR.
[*] Исправлена поддержка режима видеовыхода Auto

v 5.4.0
 [*] исправлена генерация токена временной ссылки для Nginx Secure Link в случае работы с HLS (issue #15285);
 [*] исправлен резайз видеоокна при выходе из StandBy на MAG349/350 (issue #15442);
 [*] исравлена работа временных ссылок для сериалов для API v3 (issue #15830);
 [*] исправления и доработки в разделе Аудиоклуб админки (issue #16640, issue #14738, issue #14761);
 [*] добавлена поддержка Ubuntu 16.04 (issue #8699, issue #16643, issue #16316, issue #16341);
 [*] добавлена кастомизация тем (логотип и фон) для Smart Launcher и приложений работающих по API (issue #15894, issue #15021, issue #14755);
 [*] добавлена поддержка AuraHD4, MAG424, MAG425 (issue #15041, issue #16408);
 [**] Добавлена возможность добавлять новый жанр, год, язык прямо на странице редактирования Альбома (#14585)
 [**] Исправлена и улучшена валидация форм в разделах: ТВ, Видео, Аудио, Радио, Караоке и Тарифы.
 [**] Улучшена информативность подсказок и оповещений об ошибках в разделах: ТВ, Видео, Аудио, Радио, Караоке и Тарифы.
 [**] Списку ТВ каналов на странице тарифных пакетов сделана сортировка по номеру канала (#14922)
 [**] Улучшен UI подключения ТВ архива канала в пакет услуг для Тарифов (#15020)
 [**] Раздел Реклама. Улучшено сопроводительное описание (#16078)
 [**] Добавлена возможность редактирования настраиваемых тем (#14756)
 [**] Коды Активации переименованы на Лицензионные ключи

v 5.3.0
 [*] Stalker Middleware теперь Ministra!
 [*] исправлено ложное уведомление пользователя о смене тарифа (issue #13221);
 [*] исправлено обновление погоды Openweathermap для большого числа городов (issue #13640);
 [*] исправлена навигация при выходе в список после просмотра фильма в Stalker Classic (issue #13705);
 [*] исправлена работа с недосмотренным видео (issue #13862, issue #13915, issue #14044);
 [*] исправлена проблема с автоматическим созданием таблиц all_cities и openweathermap_cache (issue #13874);
 [*] исправлена проблема с обновлением кеша видео с модераторских хранилищ в админке (issue #13906);
 [*] мелкие исправления в админке
 [*] исправлен фильтр по жанрам в фильмах для API v3 (issue #14047);
 [*] исправлена генерация токена временной ссылки для Nginx Secure Link в случае работы с HLS (issue #14054);
 [*] добавлен раздел управления кодами активации для автоматической выдачи и новая опция для пакетов услуг - activation_code_auto_issue (issue #14177, issue #13762, issue #13074);
 [*] добавлена поддержка Wowza SecureToken version 2 (issue #13406);
 [*] добавлена поддержка MAG324C (issue #13685);
 [*] расширен список опций disable_apiv3_for_ (issue #14078);
 [*] Обновлен дизайн всей админки.
 [*] Для статусов в таблицах добавлены переключатели.
 [*] Улучшена работа с таблицами по всей админке.
 [*] Добавление и Редактирование видео в Видео клубе сделано пошагово.
 [*] Для Видео клуба сделаны групповые операции (issue #13521, issue #13667).
 [*] Добавлены подтверждения на удаление в ТВ каналах и Видео клубе.
 [*] Переделано отображение подсказок к полям формы в ТВ каналах и Видео клубе.

v 5.2.0
 [*] исправлена работа с недосмотренным видео в Stalker Classic (issue #11824);
 [*] добавлена возможность выставлять срок действия тарифа для пользователя с предварительным уведомлением (issue #11619);
 [*] при смене пароля пользователя в админке пользователь принудительно разлогинивается (issue #11769);
 [*] добавлена поддержка приставок MAG322, MAG323, MAG324, MAG325, MAG349 и MAG350 (issue #11436);
 [*] оптимизация работы админки (issue #9950, issue #11017, issue #11019, issue #11020, issue #11654, issue #11638, issue #12423, issue #12431);
 [*] добавлена возможность указывать опции для каналов в пакетах услуг, на данный момент это опция доступности тв архива (issue #11283);
 [*] добавлены групповые операции в админке (issue #11788, issue #12199);
 [*] добавлено приложение MAGic Cast в Stalker Classic (issue #11993);
 [*] исправления и оптимизация раздела перемещения каналов (issue #10726, issue #12119);
 [*] добавлено поле язык для тв канала с возможностью автоматического определения (issue #12603);
 [*] мелкие исправления в админке
 [*] добавлена статистика по мобильным устройствам в дашборд админки (issue #12674);

 [*] Improve layout:
 [**] переделано главное меню админки - добавлен еще один "узкий" вид - панель с иконками. тип меню сохраняется при переходе на другие странице и управляется переключателем возле хлебных крошек. меню автоматически расширяется при клике и открывает подменю.
 [**] верхняя панель доработана. хлебные крошки вынесены на верхнюю панель, для экономии места. так же информация о залогиненом пользователе сгруппирована и спрятана в выпадающую панельку.
 [**] выбор языка перенесен на верхнюю панелью.
 [**] состояние IPTV каналов в таблице сделано переключателем, для быстрого управления и лучшего восприятия.

 [*] Improve Table layout and usability:
 [**] улучшено визуальное оформление таблицы IPTV каналов
 [**] в таблице IPTV каналов добавлена фиксированная шапка при прокрутке
 [**] у таблиц появился элемент выбора количества отображаемых на странице строк
 [**] переделан пейджинг - можно сразу перейти на первую/последнюю страницу
 [**] на странице редактирования зафиксированы кнопки сохранить/отмена
 [**] закрытые блоки на странице редактирования теперь открыты по умолчанию.
 [**] добавлено сохранение текущей страницы при взаимодействии с таблицей - теперь вас не будет каждый раз выкидывать на первую страницу.
 [**] доработаны оповещения от сервера о выполняемых операциях.

v 5.1.1
 [!] Рекомендуемая версия NPM до 2.15.11;
 [!] отключено API v2 (issue #10695);
 [*] исправления и доработка рекламы (issue #10781, issue #10760, issue #10499, issue #10195, issue #10114, issue #10154, issue #10194, issue #10284, issue #10385);
 [*] мелкие исправления в админке (issue #10170, issue #9718, issue #10338, issue #10286, issue #10300, issue #10321, issue #10446, issue #10550, issue #10599)
 [*] оптимизация загрузки EPG (issue #9621);
 [*] тема Stalker Smart Launcher теперь является темой по умолчанию для новых установок портала (issue #10664);
 [*] изменен список обязательных полей при создании записи в видеоклубе (issue #9615);
 [*] новый механизм установки просмотренного и недосмотренного видео в API v3 (issue #9952, issue #10001, issue #10377, issue #10419, issue #10046, issue #10449, issue #10539);
 [*] уведомления в админке (issue #9948, issue #9969, issue #9649, issue #10188);
 [*] добавлен ресурс глобального поиска в API v3 (issue #10304);
 [*] добавлен раздел информации о техподдержке в админку и в API v3 (issue #9709, issue #9710);
 [*] добавлена опция отключения лога пользователя disable_user_log (issue #9620);
 [*] в настройках добавлена возможность отсылать диагностические данные (MTR) и их отображение в профиле пользователя в админке (issue #8901);
 [*] в настройках добавлены опции выбора цвета и размера субтитров (issue #9562);

v 5.1.0
 [*] исправлен доступ к порталу пользователя, которого удалили из базы (issue #7914);
 [*] исправлено отображение информации об устройстве в настройках для pal разрешения (issue #7992);
 [*] исправлена работа Stalker Smart Launcher в случае нестандартного порта веб сервера (issue #8077);
 [*] мелкие исправления в админке (issue #8176, issue #8532, issue #8622, issue #8696,issue #8702, issue #9027, issue #9170, issue #9254, issue #9445);
 [*] исправлена работа субтитров, добавленных как custom url (issue #8249);
 [*] исправлена реакций на выход из stand-by (issue #8325);
 [*] исправлена точность событий по расписанию (issue #8336);
 [*] исправлено удаление сезонов и серий из видеоклуба (issue #8337);
 [*] исправлена работа ресурса services_package в API v1 (issue #8483);
 [*] исправлена проблема с обработкой HDMI событий в случае установки задержки в настройках (issue #8485);
 [*] исправлена работа каталога приложений при смене npm_registry - теперь автоматом сбрасывается кеш (issue #8587);
 [*] исправлено удаление включенного пакета (issue #8590);
 [*] исправления раздела Видеоклуб в админке (issue #8652, issue #8653);
 [*] исправлена отправка жалоб на фильм (issue #8726);
 [*] исправлено формирование конфига Smart Launcher (issue #8733, issue #8728);
 [*] исправлено отображение раздела оплаты на экране блокировки (issue #8792);
 [*] исправлено определение зависимостей для некоторых типов пакетов (issue #8809, issue #8917);
 [*] добавлена поддержка опций приложений (issue #8816);
 [*] исправления в API v3 (issue #8871);
 [*] исправления касающиеся безопасности (issue #8918);
 [*] исправлен сброс приложений (issue #8976, issue #8525);
 [*] исправлено ручное добавление пакета (issue #9043);
 [*] исправлено отображение неопубликованных серий (issue #9126, issue #9166);
 [*] исправлена проблема первоначальным определением рассинхронизации во времени (issue #9278);
 [*] исправлен переповтор проигрывания канала при восстановлении соединения (issue #9388);
 [*] исправлено обновление приложений (issue #9399);
 [*] исправлена работа с фильмами с custom url при переходе со старой на новую админку, теперь такие ссылки можно импортировать при редактировании файлов (issue #9448);
 [*] теперь при открытии окна автообновления останавливается загрузка портала (зависит от версии прошивки) (issue #4135);
 [*] добавлена возможность использования Flussonic auth для видеоклуба (issue #5010);
 [*] добавлена возможность настраивать автообновления прошивки для групп приставок (issue #6557);
 [*] добавлена возможность переглючать каналы из EPG поверх экрана при нажатии на текущую передачу (issue #7724, issue #7915);
 [*] отображение описания текущей передачи (двойной вызов info на канале) теперь отображается 20 секунд (issue #7916);
 [*] добавлена возможность монетизации за счет рекламы при открытии любого раздела, кроме настроек, и перед запуском фильма в видеоклубе (issue #8107, issue #8367);
 [*] добавлена настройка Auto для видео для моделей приставок которые поддерживают данную возможность (issue #8390);
 [*] добавлена опция скрытия пустых категорий видеоклуба - show_empty_vclub_category (issue #8415);
 [*] раздел настроек Stalker Classic переведен в UTF-8 (issue #8758);
 [*] добавлена возможность фильтрации тв каналов в API v3 по нескольким жанрам (issue #8834);
 [*] мелкие улучшения в админке (issue #9205, issue #9482, issue #9484, issue #9486, issue #9487, issue #9488, issue #9489, );
 [*] добавлена возможность получать информацию о рекламе в API v3 (issue #9331);
 [*] добавлена возможность управлять рекламой через тарифные планы - опция disable_ad (issue #9332);
 [*] добавлена форма обратной связи в админке (issue #9055);

v 5.0.3
 [*] исправлен лог пользователя по просмотру видеоклуба (issue #6810);
 [*] исправлено добавление обложек к фильму (issue #7718);
 [*] исправлен вход в Stalker 5x при включенной авторизации (issue #7785);
 [*] мелкие исправления в админке (issue #7791, issue #7804, issue #7825, issue #7828, issue #7829, issue #7863, issue #7871, issue #7888, issue #7889, issue #7891, issue #7894, issue #7901, issue #7964, issue #7994, issue #7712);
 [*] исправлено автозаполнение информации о фильме с кинопоиска (issue #7885);
 [*] исправлено сохранение информации о недосмотренном видео в API v3 (issue #8020);
 [*] исправлена авторизация API v2 (issue #8028);
 [*] исправлено сохранение информации о последнем времени просмотра фильма (issue #8033);
 [*] исправлена статистика просмотра видео (issue #8052);
 [*] исправлено автообновление прошивки для MAG256/MAG257 (issue #8084);
 [*] исправлена локализация жанров в категории видео в API v3 (issue #8093);
 [*] исправлена проблема с закрытием EPG поверх плеера (issue #8152);
 [*] исправлен список доступного видео в API v3 и v2 (issue #8245);
 [*] исправлена проблема с мониторингом ТВ каналов с Flussonic (issue #8293);
 [*] добавлена настройка принудительной установки ntp сервера на приставке (issue #7839, issue #7800);
 [*] в API v3 добавлена информация об возрастном ограничении для видео, страны и длительности видео (issue #7997, issue #7947);
 [*] добавлена возможность лицензирования доступа к API v3 для не MAG устройств (issue #7287, issue 8208, issue #8210, issue #8243);
 [*] добавлена возможность выбора тем Stalker 5x (issue #6775);
 [*] в API v3 добавлена возможность сортировки видео (issue #7614);
 [*] в API v3 добавлена возможность добавлять аудио альбом в плейлист (issue #7635);
 [*] добавлена возможность делать бекап и восстановление списка установленных приложений лаунчера (issue #7723);
 [*] оптимизирована работа раздела управления приложениями (issue #7735);
 [*] добавлена возможность запустить обновление всех приложений для Stalker 5x (issue #7834);
 [*] добавлена поддержка WR-320 для валидации mac адреса (issue #8071);
 [*] добавлена поддержка MAG351 и MAG352 (issue #8151);
 [*] добавлена настройка единиц измерения погоды - градусы по Цельсию или Фаренгейту (issue #8397);

v 5.0.2
 [*] исправлена испанская локализация (issue #7547);
 [*] исправлена индикация наличия обновлений в футере админки (issue #7535);
 [*] исправлен поиск кириллицей в админке (issue #7559);
 [*] исправлен запрос родительского пароля в видеоклубе (issue #7566);
 [*] мелкие исправления в админке (issue #7603, issue #7618);
 [*] модификации в API v3 (issue #7530, issue #7711, issue #7672, issue #7618, issue #7477, issue #7655, issue #7676);
 [*] новый раздел управление приложениями для Stalker 5x (бывший smart_launcher) (issue #7602, issue #7660, issue #7691, issue #7692, issue #7693, issue #7694, issue #7696, issue #7727, issue #7281);

v 5.0.1
 [*] исправлен 3D режим в тв каналах (issue #6397);
 [*] исправлен внешний вид окна обновления прошивки в настройках (issue #6672);
 [*] исправлена проблема и инициализацией aspect после старта портала (issue #6969);
 [*] исправлена фильтрация и сортировка в тв каналах в админке (issue #7021);
 [*] исправлена статистика видео по жанрам (issue #7055);
 [*] мелкие исправления в админке (issue #7067, issue #7070, issue #7071, issue #7077, issue #7078, issue #7155, issue #7396, issue #7025);
 [*] исправлена статистика по закрытым тв каналам (issue #7072);
 [*] исправлен доступ к API при отключенных тарифных планах (issue #7097);
 [*] исправлен язык описания фильма при заполнении информации из TMDB (issue #7101);
 [*] исправлен time-shift для Flussonic DVR (issue #7146);
 [*] исправлены права для папок логотипов (issue #7319);
 [*] исправлена проблема запуска phing если mysql сервер версии 5.6 (issue #7342);
 [*] добавлена опция доступа по паролю в раздел тв жанра или видео категории (issue #6722);
 [*] добавлена возможность подставлять mac адрес в url тв канала используя шаблон %MAC%, например http://server-ip:80/live?channelId=31&deviceMac=%MAC% (issue #6754);
 [*] добавлена поддержка Xtream-Codes https://groups.google.com/forum/#!topic/stalker-middleware/o7pbYjOJoqU (issue #6813);
 [*] добавлена подсветка столбцов таблицы по которым производится поиск (issue #7007);
 [*] добавлена поддердка MaxCDN для статических файлов, опция max_cdn_pull_zone_url в конфиге (issue #7019);
 [*] добавлена испанская локализация (issue #7026);
 [*] добавлена возможность фильтровать каналы по типам устройств для API v2 и v3 (issue #7068);
 [*] оптимизирована админка, уменьшено время загрузки страниц (issue #7285);
 [*] добавлена подписка на каналы в админку (issue #7327);
 [*] добавлено API v3 (issue #6049, issue #6859, issue #7322, issue #7220, issue #7362, issue #7331, issue #7362, issue #7473, issue #7145, issue #7215, issue #7247);
 [*] добавлен ресурс epg в API v1, дополнен ресурс itv (issue #7224, pull request #223);
 [*] добавлен новый видеоклуб (issue #6758, issue #7133, issue #7162, issue #7164, issue #7179, issue #7187, issue #7188, issue #7210, issue #7213, issue #7217, issue #7251, issue #7280, issue #7301, issue #7304, issue #7365);
 [*] обновлен smart launcher и добавлены новые приложения - тв, видео, радио, караоке и т.д. в режиме beta

v 5.0.0-r2
 [*] исправлено API v1 (issue #7015);
 [*] добавлена настройка времени жизни токена для OAuth - oauth_token_expire (issue #7016);

v 5.0.0
 [*] исправлена проблема сохранения фильма с рейтингом 0+ (issue #6807);
 [*] исправлена ошибка смены пароля у admin (issue #6808);
 [*] мелкие исправления по админке (issue #6818, issue #6819, issue #6834, issue #6877, issue #6923);
 [*] исправлена проверка токена для flussonic (issue #6821);
 [*] исправлены права на установку даты отключения приставки в админке (issue #6880);
 [*] исправлена проблема с авторизацией в API v2 по MAC (issue #6943);
 [*] добавлена возможность управлять доступом к API v2 через тарифные планы (issue #6675);
 [*] закрытое ядро, изменение лицензии (issue #6726, issue #6896, issue #6894, issue #6835, issue #6951, issue #6848, issue #6849, issue #6850, issue #6884);
 [*] добавлена поддержка MAG256, MAG257 (issue #6801, issue #6823, issue #6836, issue #6864, issue #6869, issue #6874);
 [*] добавлена индикация наличия обновлений портала (issue #6875);
 [*] добавлены права на смену тарифных планов в админке (issue #6881);
 [*] добавлена форма обратной связи в админке (issue #6955);

v 4.9.35
 [*] исправления по разделу Аудио Клуб (issue #6643);
 [*] исправлено отображение админки на мобильных платформах (issue #6684);
 [*] исправления в локализации (issue #6698, issue #6732);
 [*] исправлена проблема с переходом в stand-by при выключении телевизора (issue #6716);
 [*] исправлена работы формы отправки события по расписанию (issue #6719);
 [*] исправлен список таймзон для источника openeweathermap (issue #6721);
 [*] исправлено отображение страницы статистики видео (issue #6724);
 [*] исправлено отображение страницы поиска видео по хранилищам (issue #6725, issue #6753);
 [*] исправления формы добавления ТВ канала (issue #6735, issue #6736, issue #6749);
 [*] исправлена форма отправки событий получателям по списку из файла (issue #6739);
 [*] исправлено автообновление приложений (issue #6740);
 [*] исправлена работа фильтра в админке в разделе Караоке (issue #6744);
 [*] исправлено отображение выпадающего списка в разделе Реклама Видеоклуба (issue #6745);
 [*] исправлено обрезание ссылки мониторинга для ТВ канала (issue #6748);
 [*] исправлен список каналов в API v2 при отключенных тарифных планах (issue #6752);
 [*] исправлена форма добавления радиостанции (issue #6757);
 [*] исправлено непрерывное воспроизведение ТВ архива (issue #6768);
 [*] добавлено запоминание сортировки таблиц в админке (issue #6543);
 [*] добавлены новые поля для отображения в список ТВ каналов в админке (issue #6568);
 [*] обновлена игра 2048 (issue #6728);
 [*] в API v2 при авторизации добавлены новые поля: model, client_type (issue #6770);
 [*] добавлена возможность использовать API v2 без необходимости в отдельном домене (issue #6776);
 [*] мелкие исправления по админке (issue #6788);

v 4.9.34
 [*] исправлена установка прав на доступ в раздел реселлеров (issue #6552);
 [*] исправлены подсказки и валидация форм добавления аудио трека, караоке, видео, EPG, сервера вещания, события (issue #6623, issue #6625, issue #6627, issue #6630, issue #6640, issue #6669, issue #6674, issue #6677, issue #6703, issue #6704, issue #6639);
 [*] исправлено закрытие формы смены реселлера на пользователе (issue #6629, issue #6701);
 [*] исправлено отображение статуса в списке хранилищ (issue #6632);
 [*] исправлена работа фильтров (issue #6633, issue #6642, issue #6685, issue #6700);
 [*] исправлено отображение даты добавления караоке в админке (issue #6646);
 [*] исправлено отображение списка радио в админке (issue #6648);
 [*] исправлена проверка файла караоке на хранилищах (issue #6650, issue #6652);
 [*] исправлено отображение формы редактирования приложения, работа контекстного меню (issue #6654, issue #6655);
 [*] исправлено отображение кнопок оплаты на экране блокировки (issue #6656);
 [*] исправления по разделу приложений (issue #6659, issue #6660, issue #6663, issue #6665);
 [*] исправлено проигрывание радио при включенной опции force_ch_link_check (issue #6676);
 [*] исправления по разделу IPTV (issue #6679, issue #6687, issue #6689);
 [*] исправлено автообновление для кастомных версий прошивок (issue #6680);
 [*] исправлена проверка паролей при добавлении администратора (issue #6691);
 [*] исправлена работа раздела Задания в IE 11 (issue #6692);
 [*] исправлено сохранение серверов записи тв архива на канале (issue #6693);
 [*] исправлено обновление списка серверов вещания (issue #6695);
 [*] исправлена отправка событий на период (issue #6710);
 [*] исправлено отображение заданий в списке фильмов видеоклуба (issue #6711);
 [*] в API v2 для некоторых ресурсов добавлен флаг доступности для скачивания (issue #6546);
 [*] добавлена локализация лаунчера (issue #6682, issue #6706);
 [*] добавлено отображение версии портала в админке (issue 6696);
 [*] мелкие улучшения в админке (issue #6705);

v 4.9.33
 [*] исправлена проблема с отображением раздела расписания включения фильмов (issue #6493);
 [*] исправлена колонка "Доступ" для списка пакета услуг (issue #6544);
 [*] исправлен доступ к разделу Аудио Клуб для администраторов (issue #6547);
 [*] исправления в разделе управления администраторами (issue #6555, issue #6559, issue #6564, issue #6567, issue #6592);
 [*] исправлена поддержка Astra для ТВ архива (issue #6565);
 [*] исправления формы редактирования ТВ канала, валидации (issue #6569, issue #6571, issue #6597, issue #6603, issue #6619, issue #6582);
 [*] улучшение безопасности, исправлена проверка токена авторизации приставки (issue #6610, issue #6618);
 [*] исправления формы редактирования EPG, валидации (issue #6612, issue #6577);
 [*] исправлена возможность удаления категории видео при наличии привязанных к ней жанров (issue #6613);
 [*] обновлен текст лицензии (issue #6561);
 [*] добавлена поддержка WEB CAS (issue #6585);
 [*] добавлена опция для управления разрешением на автоматическое добавление приставок в базу (auto_add_stb) (issue #6611);

v 4.9.32
 [*] исправлена реакция на HDMI события (issue #6385);
 [*] в настройках обновления ПО исправлено описание текущей прошивки (issue #6387);
 [*] исправлен доступ по паролю в категорию "Для взрослых" (issue #6401);
 [*] исправлена форма создания правила обновления прошивки (issue #6466);
 [*] исправлен формат даты в таблице неактивных абонентов (issue #6468);
 [*] исправления форм добавления объектов в аудиоклуб (issue #6469);
 [*] исправлено поле поиска в админке (issue #6472);
 [*] исправлена робота опции ведения тв архива на канале в старой админке (issue #6474);
 [*] исправлены названия фильмов в видеоклубе в английской локализации (issue #6475);
 [*] исправлена робота скринсейвера при открытой виртуальной клавиатуре (issue #6485);
 [*] исправлены ошибки локализации (issue #6490, issue #6272);
 [*] исправлено удаление обложки альбома в аудиоклубе (issue #6491);
 [*] исправлена проблема с производительностью при открытии логов пользователей (issue #6492);
 [*] исправлено создание групп пользователей в админке (issue #6495);
 [*] исправлено обновление через USB из настроек (issue #6496);
 [*] исправлено отображение списка категорий на форме добавления видео (issue #6506);
 [*] исправления в разделе радио и в других разделах админки (issue #6507, issue #6509, issue #6511, issue #6515, issue #6527, issue #6529, issue #6528);
 [*] исправлена работа опции force_ch_link_check (issue #6520);
 [*] добавлена возможность отвязывать тарифный план от пользователя в админке (issue #6330);
 [*] добавлено автоматическое подставление TTL на форме отправки событий (issue #6344);
 [*] добавлена возможность привязывать обложки в формате png для видео (issue #6484);
 [*] по умолчанию теперь используется новая админка (issue #6533);

v 4.9.31
 [*] исправлены категории по умолчанию для категории музыкального видео (issue #5966);
 [*] исправлены фильтры в разделе пользователей (issue #6317);
 [*] исправлена форма авторизации в лаунчере (issue #6318, issue #6320, issue #6332, issue #6336);
 [*] исправлена проблема с монтированием NFS (issue #6319);
 [*] исправлено добавление канала (issue #6321);
 [*] исправлена проблема с кодировкой при импорте m3u файла (issue #6328);
 [*] исправлено обрезание контекстного меню (issue #6329);
 [*] исправлена работа фильтра по дате регистрации в разделе пользователей (issue #6333);
 [*] исправлена проблема отображения только первых букв жанров фильма (issue #6335);
 [*] исправлено событие send_msg с постфункцией проигрывания видео (issue #6346);
 [*] исправлена проблема отображения двойного меню на приставке (issue #6347);
 [*] исправлено некорректное заполнение базы при переустановки приложения (issue #6378);
 [*] исправлена обработка обложки фильма (issue #6380);
 [*] исправлено добавление альбома в аудиоклубе (issue #6383);
 [*] добавлена поддержка лога пользователя для API v2 (issue #6277);
 [*] доработан парсер папок на хранилище (issue #6306);
 [*] в API v2 в профиль пользователя добавлена информация об операторском логотипе и фоне (issue #6349);
 [*] исправления по внешнему виду админки (issue #6371);
 [*] отключено реагирование на HDMI события для MAG200 (issue #6384);

v 4.9.30
 [*] исправлено переключение избранных каналов по номеру в предпросмотре при выборе категории (issue #6183);
 [*] исправлена ошибка при при редактировании тв канала в новой админке (issue #6231);
 [*] исправлен сброс токена для лаунчера при запуске сталкера (issue #6239);
 [*] исправлено поле added для фильмов, у которых оно пустое (issue #6241);
 [*] исправлена греческая локализация (issue #6246);
 [*] исправлена ошибка в скрипте отправки предупреждений об отключении (issue #6262);
 [*] исправлен статус публикации на тв каналах (issue #6263);
 [*] исправлена авторизация в API v2 (issue #6264);
 [*] добавлено сохранение авторизации при перезагрузке лаунчера (issue #6219);
 [*] добавлена опция сортировки модулей согласно их порядку в тарифе (enable_modules_order_by_package) (issue #6225);
 [*] добавлены настройки портала в лаунчер (issue #6238);
 [*] добавлен импорт ТВ каналов из m3u файла (issue #6240);
 [*] в конфиге изменен механизм авторизации приставок по умолчанию (параметры auth_url и store_auth_data_on_stb) (issue #6269);
 [*] добавлена опция epg_data_block_period_for_stb, позволяющая менять объем EPG данных, загружаемых приставкой (issue #6274);
 [*] добавлено изменение статуса караоке ролика при обновлении кеша (issue #6282);
 [*] добавлена опция перехода в standby при выключении телевизора (standby_on_hdmi_off, включена по умолчанию) (issue #6284);

v 4.9.29-r2
 [*] исправлен php warning в новой админке (issue #6214);
 [*] исправлено добавление лого канала в новой админке (issue #6215);
 [*] исправлено открытие страницы редактирования канала (issue #6228, issue #6222);
 [*] исправлено отображение текущего видео контента для пользователя (issue #6220);
 [*] исправлена ошибка смены реселлера для группы (issue #6229);
 [*] исправлена загрузка портала при включенных тарифных планах и отсутствии пакета с модулями (issue #6234);
 [*] исправлена загрузка портала при пустой системной таблице с таймзонами (issue #6235);
 [*] исправлено получение жанров видео по категории в API v2 (issue #6228);

v 4.9.29
 [*] исправлена ошибка SoapDemo (issue #6033);
 [*] мелкие исправления по разделу Сервера вещания в новой админке (issue #6139);
 [*] исправлено перекрытие контекстного меню в новой админке (issue #6144);
 [*] исправлена проблема с доступом в админку в случае если портал установлен не в stalker_portal (issue #6145, issue #6157);
 [*] исправлена балансировка нагрузки на сервера вещания для API v2 клиентов (issue #6165);
 [*] исправлен календарь для греческой локализации в новой админке (issue #6177);
 [*] исправлено появление кнопки update в разделе Приложения новой админки (issue #6187);
 [*] исправлено переключение каналов кнопками Channel+/- при запуске из лаунчера (issue #6192);
 [*] исправлена работа админки для версии php 5.3 (issue #6209);
 [*] мелкие исправления для новой админки (issue #6212, issue #6201);
 [*] добавлена поддержка по умолчанию nginx secure link для видеоклуба и караоке (issue #6097);
 [*] в API v2 добавлена возможность менять скин (issue #6126);
 [*] добавлена кнопка обновления данных таблицы в новой админке (issue #6146);
 [*] доработка авторизации для API v2 (issue #6146);
 [*] добавлено описание игр в новом лаунчере (issue #6148);
 [*] сортировка внешних приложений теперь привязана к их порядку в пакете (issue #6168);
 [*] добавлен флаг страны рядом с IP в новой админке (issue #6181);
 [*] при авторизации для API v2 теперь возвращается путь к папке сталкера portal_url (issue #6182);
 [*] обновлено приложение youtube (issue #6208);

v 4.9.28-r2
 [*] исправлен запуск приложений из лаунчера (issue #6142);

v 4.9.28
 [*] исправлен просмотр картинок с usb устройства (issue #6011);
 [*] исправлены мелкие ошибки в разделе Видео новой админки (issue #6088);
 [*] исправлено поле даты отключения приставки в новой админке (issue #6091);
 [*] исправлена ошибка при открытии поля редактирования канала (issue #6092);
 [*] исправлены шаблоны событий для MAG 245 и MAG 254 в новой админке (issue #6102);
 [*] исправлена проблема EPG при переводе времени (issue #6114);
 [*] исправлены мелкие ошибки в разделе Аудио новой админки (issue #6115);
 [*] исправлены мелкие ошибки в разделе Радио новой админки (issue #6116);
 [*] исправлены мелкие ошибки в разделе Тарифы новой админки (issue #6118);
 [*] исправлен вылет из режима тайм-шифта (issue #6119);
 [*] исправлены мелкие ошибки в разделе Пользователи новой админки (issue #6121);
 [*] исправлены мелкие ошибки в разделе События новой админки (issue #6122);
 [*] исправлена авторизация приставки для API v2 (issue #6124);
 [*] исправлены мелкие ошибки в разделе Администраторы новой админки (issue #6128);
 [*] исправлены мелкие ошибки в разделе Задания новой админки (issue #6135);
 [*] исправлены мелкие ошибки в разделе Инфопортал новой админки (issue #6136);
 [*] исправлены мелкие ошибки в разделе Статистика новой админки (issue #6137);
 [*] добавлена возможность отображать окно с ссылкой на регистрацию на окне авторизации при указании registration_url в конфиге (issue 6022);
 [*] добавлена возможность выйти (разлогиниться) при использовании авторизации (issue #6069);
 [*] оптимизация таблицы users (issue #6081);
 [*] добавлен заголовок x-max-sessions для Flussonic (issue #6084);
 [*] добавлены системные настройки в лаунчер (issue #6093);
 [*] добавлен фильтр по типу контента в разделе пользователей новой админки (issue #6096);
 [*] добавлена опция разрешения установки нового лаунчера в качестве скина в настройках приставки (enable_launcher_in_theme_settings) (issue #6101);
 [*] обновлено приложение youtube (issue #6112);
 [*] добавлена возможность редактировать дату отключения приставки в старой админке (issue #6120);
 [*] добавлено приложение vk-video в список приложений и игра 2048 (issue #6123);
 [*] для совместимости с API v2 пустые логины автоматически заполняются (issue #6132);
 [*] исправлены мелкие ошибки в разделе Хранилища новой админки (issue #6138);

v 4.9.27-r2
 [*] исправления по разделу ТВ каналов в новой админке (issue #6072);
 [*] исправлен заголовок страницы в логах пользователя (issue #6077);
 [*] исправления по разделу управления приложениями в новой админке (issue #6080);
 [*] исправлен конфликт при совпадении названий внешних модулей с встроенными (issue #6089);
 [*] удалены приложения из лаунчера, теперь их нужно ставить вручную; исправлено отображение отключенных приложений (issue #6086, issue #6085);

v 4.9.27
 [*] исправлена ошибка локализации в новой админке (issue #6008);
 [*] исправления для фильтров пользователей в новой админке (issue #6013);
 [*] исправлен список модулей пользователя в API v2 (issue #6021);
 [*] исправлена сортировка пользователей по лицевому счету в новой админке (issue #6025);
 [*] исправлена сортировка пользователей по дате создания (issue #6027);
 [*] исправлена ошибка авторизации приложений в лаунчере и выход из аудиоклуба (issue #6037);
 [*] исправлена статистика просмотра ТВ (issue #6046);
 [*] исправления в дашборде новой админки для реселлера (issue #6051);
 [*] исправлена работа токена для Flussonic (issue #6052);
 [*] исправлена проблема с появлением окна повторной авторизации (issue #6076);
 [*] в новом лаунчере список приложений теперь соответствует тарифу пользователя (issue #6032);
 [*] мелкие доработки в новой админке (issue #6034, issue #6053);
 [*] добавлена возможность очистки жалоб в новой админке (issue #6035);
 [*] добавлена возможность назначить новый скин как тему по умолчанию и менять тему для конкретного пользователя (issue #6059);
 [*] добавлен механизм управления внешними приложениями (установка, удаление, обновление) (issue #6060);
 [*] добавлена словацкая локаль (issue #6061);
 [*] обновлено приложение ex.ua (issue #6063);
 [*] добавлено ограничение для приложения megogo - теперь приложение доступно только под 1280x720 (issue #6073);

v 4.9.26
 [*] исправлена работа tmdb парсера для сериалов (issue #5958);
 [*] исправлена работа фильтра по стране для ТВ каналов в API v2 (issue #5971);
 [*] исправлена работа авторизации на новых приставках (issue #5975);
 [*] исправлено добавление караоке с custom url в новой админке (issue #5987);
 [*] исправлено отображение текущего контента в админке для фильмов с custom url (issue #5988);
 [*] добавлена защита архива Flussonic (issue #4911);
 [*] добавлено расписание для событий (issue #5879);
 [*] в API v2 добавлена история сообщений (issue #5882);
 [*] добавлены шаблоны для MAG 245 и MAG 254 при отправке событий (issue #5986);
 [*] добавлен новый скин сталкера (в тестовом режиме, только для тестирования оператором) (issue #5969);
 [*] мелкие изменения в новой админке (issue #5995);
 [*] добавлена настройка hsl_fast_start, по умолчанию включена (issue #6012);

v 4.9.25-r2
 [*] исправлена ошибка при авторизации с приставки (issue #5975);

v 4.9.25
 [*] исправлен процесс включения фильма по расписанию в старой админке (issue #5919);
 [*] исправлена навигация по страницам в разделе ТВ в новой админке (issue #5920);
 [*] исправлено редактирования пакета с модулями в новой админке (issue #5921);
 [*] исправлено значение video_out по умолчанию, теперь оно пустое (issue #5922);
 [*] исправлена сортировка в разделе Радио (issue #5932);
 [*] исправлена ошибка при обновлении погоды (issue #5934);
 [*] исправлена работа кнопки BACK в разделе ТВ (issue #5938);
 [*] исправлено переключение каналов цифрами при включенной опции enable_numbering_in_order (issue #5944);
 [*] изменен список жанров и категорий по умолчанию при первоначальной установке (issue #5912);
 [*] изменения в разделе личного кабинета (issue #5943);

v 4.9.24-r2
 [*] исправлена проблема с списком пользователей в новой админке (issue #5907);

v 4.9.24
 [*] исправлено сохранение опции временных ссылок в новой админке (issue #5817);
 [*] исправлена статистика тв в новой админке (issue #5823);
 [*] мелкие исправления по новой админке (issue #5853, issue #5900, issue #5852);
 [*] исправлено редактирование пользователя в новой админке (issue #5850);
 [*] исправлена проверка токена в модуле для Wowza, рекомендация обновить infomir-tmplink.jar (issue #5861);
 [*] исправлено редактирование пакета услуг в новой админке (issue #5871);
 [*] добавлены фильтры для пользователей (issue #5722);
 [*] добавлено поле с датой добавления пользователя в списке пользователей (issue #5731);
 [*] добавлена возможность добавлять канал с номером больше 999 в новой админке (issue #5836);
 [*] доработан механизм сбора информации о типе подключения приставки к телевизору (issue #5838);
 [*] обновлено приложение youtube (issue #5888);
 [*] улучшена работа портала в оконном режиме (issue #5890, issue #5895);
 [*] обновлено приложение ex.ua (issue #5896);

v 4.9.23
 [*] исправлена ошибка авторизации в API v2 (issue #5737);
 [*] исправлена фокусировка на иконке последнего запущенного приложения (issue #5738);
 [*] исправлено ошибка в виджете радио, вызывавшая проблему в загрузке портала (issue #5742);
 [*] исправлена локализация сообщения об отключении (issue #5754);
 [*] исправлен просмотр недосмотренного видео (issue #5755);
 [*] исправлена немецкая локализация (issue #5789);
 [*] исправления PVR в API v2 (issue #5834);
 [*] исправлена проблема при выходе из раздела ТВ при включенной опции play_in_preview_only_by_ok (issue #5837);
 [*] исправлено сохранение url для записи в новой админке (issue #5844);
 [*] обновлено приложение youtube (issue #5739);
 [*] добавлено событие show_menu в API (issue #5745);
 [*] добавлена информация о рейтинге видео в API v2 (issue #5764);
 [*] добавлена возможность запуска процесса автообновления до появления окна блокировки (issue #5778);
 [*] добавлен буфер записи в скрипт dumpstream (issue #5779);
 [*] обновлены приложения picasa, ex, ivi (issue #5821);
 [*] при изменении IP приставки портал теперь дополнительно дергает oss_url (issue #5824);
 [*] исправления в стилях и шаблонах для новой админки (issue #5851);

v 4.9.22
 [*] исправлен виджет радио (issue #5653);
 [*] исправлено сохранение видео в новой админке (issue #5657);
 [*] исправлено проигрывание ТВ канала при выключении-включении телевизора (issue #5658);
 [*] исправлен порядок модулей в главном меню (issue #5659);
 [*] исправлена ошибка при открытии формы добавления пользователя в новой админке (issue #5661);
 [*] исправлено добавление логотипа к ТВ каналу (issue #5662);
 [*] исправлена форма управления автообновлением в новой админке (issue #5664);
 [*] исправлен запуск портала в браузере в режиме эмуляции (issue #5665);
 [*] исправлена ошибка редактирования пакета услуг в новой админке (issue #5665);
 [*] исправлены ошибки локализации (issue #5673);
 [*] исправлено отображение загрузки серверов вещания в процентах (issue #5676);
 [*] исправлен список фильмов только по категории в API v2 (issue #5678);
 [*] исправлена загрузка портала на приставках MAG260 (issue #5684);
 [*] мелкие исправления в новой админке (issue #5685);
 [*] исправлено отображение состояния приставки в профиле (issue #5706);
 [*] исправлена работа сортировки по дате последнего изменения в списке пользователей (issue #5709);
 [*] исправлены ссылки на обновление погоды для weather.ua (issue #5714);
 [*] добавлена возможность управлять жанрами и категориями видео из админки (issue #4837);
 [*] обновлено приложение youtube (issue #5589);
 [*] добавлена возможность ограничивать количество пользователей для каждого реселлера (issue #5634);
 [*] добавлен ручной ввод частоты на форме ручного сканирования в настройках DVB (issue #5641);
 [*] добавлен список доступных модулей в API v2 (issue #5646);
 [*] для time-shift теперь используется такой же aspect ratio что и для ТВ канала (issue #5656);
 [*] добавлены дополнительные параметры авторизации для API v2 (issue #5671);
 [*] добавлена возможность информирования пользователей о приближении даты отключения (issue #5679);
 [*] оптимизированы и исправлены режимы single_module (issue #5694, issue #5700);
 [*] в список видео добавлена информация о количестве просмотров (issue #5696);
 [*] добавлен поиск пользователей по имени и по IP (issue #5708);
 [*] добавлена опциональная связь авторизаций приставки и API v2 авторизации (issue #5712);
 [*] переделан механизм работы закачек с временными ссылками (issue #5715);

v 4.9.21
 [*] исправлены ошибки локализации в новой админке (issue #5577, issue #5621);
 [*] исправлена форма управления зонами вещания в новой админке (issue #5579);
 [*] исправлен список модераторов в новой админке (issue #5580);
 [*] исправлено редактирование пакета в тарифах в новой админке (issue #5581);
 [*] исправлено проигрывание последнего ТВ канала (issue #5597);
 [*] исправлена ошибка, появляющаяся при открытии списка пользователей реселлером (issue #5600);
 [*] исправлено подменю администратора у реселлера в новой админке (issue #5605);
 [*] исправлена верстка на форме редактирования пакета в новой админке (issue #5607);
 [*] исправлен доступ к некоторым страницам пользователям с ограниченными правами (issue #5609);
 [*] исправлено зависание приставки после включения телевизора (issue #5610);
 [*] исправлена проблема с просмотром тв канала на заблокированной приставке (issue #5621);
 [*] исправлен подсчет текущих сессий просмотра тв архива (issue #5630);
 [*] мелкие исправления в новой админке (issue #5645);
 [*] добавлена возможность использовать мониторинг для каналов радио (issue #1820);
 [*] добавлен домашний экран для новой админки (issue #5544);
 [*] добавлено поле account_balance для пользователя (issue #5582, issue #5619);
 [*] обновление локализации (issue #5591);
 [*] оптимизирована загрузка портала, доступно по экспериментальной опции enable_supermodule (issue #5620);
 [*] добавлена информация о текущем просмотре пользователя в новую админку (issue #5637);
 [*] добавлена поддержка новых версий прошивки, для версий до 0.2.18-r7 отображается предупреждение о необходимости обновления (issue #5642);

v 4.9.20-r2
 [*] исправлена проблема с переключением каналов (issue #5588);

v 4.9.20
 [*] исправлена локализация новой админки (issue #5493);
 [*] исправлена ошибка, возникавшая при редактировании пользователя в новой админке (issue #5494);
 [*] исправлена ошибка установки полных прав администратору в новой админке (issue #5495);
 [*] исправлена ошибка в настройках автообновления в новой админке (issue #5502);
 [*] исправлена реклама в видеоклубе (issue #5515);
 [*] исправлено отображение контекстного меню в тв архиве а новой админке (issue #5523);
 [*] исправлено поле времени коррекции EPG, теперь можно ставить отрицательные значения (issue #5534);
 [*] исправлена локализация жанров в API v2 и выборка видео по жанру и по категории (issue #5535);
 [*] исправлено скачивание видео из видеоклуба (issue #5537);
 [*] исправлено зависание приставки при нажатии кнопки MODE (issue #5538);
 [*] исправлено отображение номера серии в OSD для PAL разрешения (issue #5543);
 [*] исправлено отключение приставки из новой админки (issue #5549);
 [*] исправлена ошибка установки даты отключения приставки в новой админке (issue #5550);
 [*] исправлено автоматическое отключение приставок по cron (issue #5555, issue #5575);
 [*] исправлено отображение поля Версия в профиле приставки (issue #5564);
 [*] исправлено отображение последнего статуса приставки в отчетах в новой админке (issue #5576);
 [*] добавлено переключение тв каналов в сортировке по имени (issue #1479);
 [*] улучшение в скриптах мониторинга, теперь можно разделять мониторинг рабочих и не рабочих ссылок (issue #2875);
 [*] в потоке тв архива добавлено первоначальное выравнивание по байту синхронизации, без этого на некоторых устройствах не работал архив (issue #5337);
 [*] добавлена возможность указывать приоритеты языков для импорта EPG из xmltv (issue #5433);
 [*] добавлено событие play_radio_channel (issue #5456);
 [*] приложение Vimeo отключено для MAG200 (issue #5489);
 [*] из *.po файлов удалены строки с указанием на tmp файлы (issue #5498);
 [*] добавлено отображение статуса мониторинга в новой админке (issue #5503);
 [*] обновлено приложение ivi (issue #5504);
 [*] отключена индикация буферизации для солюшина rtp (issue #5516);
 [*] обновлено приложение youtube (issue #5541);
 [*] обновлена польская локализация (issue #5545);
 [*] в старую админку добавлено отображение даты отключения приставки в профиле (issue #5546);
 [*] при выходе из внешних модулей теперь не запускается проигрывание последнего ТВ канала (issue #5557);
 [*] добавлена опция отключения приложения youtube для MAG200 (issue #5586);

v 4.9.19
 [*] исправлена проблема с непрерывным просмотром архива в случае использования Flussonic DVR (issue #5345);
 [*] исправлена ошибка при редактировании пользователя в новом адимин интерфейсе (issue #5429);
 [*] исправлена ошибка на странице ТВ жанров в новой админке (issue #5430);
 [*] исправлены id жанров для категорий в API v2, добавлена возможность получать жанры по списку категорий и удалять видео из избранного (issue #5431);
 [*] исправлено проигрывание канала после включения телевизора (issue #5432);
 [*] исправлена индикация проблемы с подключением (issue #5434);
 [*] исправлена ошибка в виджете радио (issue #5438);
 [*] оптимизированы некоторые запросы в новой админке (issue #5452);
 [*] исправлена проблема с пустым списком каналов в пакете услуг (issue #5453);
 [*] исправлен запуск cron задач (issue #5459);
 [*] добавлены реселлеры в новую админку (issue #2900);
 [*] в API v2 добавлены ресурсы личного кабинета (инфо об оплате, пользовательское соглашение и условия использования) (issue #4557);
 [*] добавлена поддержка Flussonic DVR для time-shift (issue #4883);
 [*] добавлена возможность выбора временного промежутка в пользовательской статистике в новой админке (issue #5415);
 [*] в API v2 добавлена поддержка общей статистики просмотров (issue #5416);
 [*] настройки DVB теперь отображаются только на MAG 270/275 (issue #5454);
 [*] добавлена модель IP_STB_HD в список поддерживаемых по умолчанию (issue #5457);
 [*] добавлено приложение Vimeo (issue #5467);
 [*] обновлена немецкая локализация (issue #5474);
 [*] обновлено приложение Youtube (issue #5475);
 [*] в параметры авторизации в биллинге добавлена информация об mac адресе и ip клиента (issue #5488);

v 4.9.18
 [*] исправлен подсчет сессий на серверах вещания (issue #5353);
 [*] исправлена ошибка локализации в новой админке (issue #5371);
 [*] исправлено управление порядком каналов в новой админке (issue #5378);
 [*] добавлена кнопка перезапуска архива в новой админке (issue #5379);
 [*] исправлены ошибки в новой админке, появлявшиеся в логе апача (issue #5380);
 [*] исправлено проигрывание видео (issue #5402);
 [*] исправлено проигрывание канала, добавленного через новую админку (issue #5404);
 [*] изменено окно ввода пароля при подписке-отписке на пакет (issue #1448);
 [*] добавлена возможность автоматического отключения приставок (по дате отключения) (в новой админке) (issue #3734);
 [*] добавлен лог подписок-отписок на пакеты (в новой админке) (issue #5218);
 [*] добавлено восстановление проигрывания канала при включении телевизора (issue #5339);
 [*] добавлены недостающие кодировки для субтитров (issue #5369);
 [*] добавлена возможность управлять жанрами ТВ (в новой админке) (issue #5394);
 [*] обновлено приложение youtube (issue #5406, issue #5424);
 [*] добавлена возможность получать EPG для набора каналов за один запрос в API v2 (issue #5409);
 [*] добавлена информация о жанре для канала в API v2 (issue #5413);

v 4.9.17
 [*] исправлено отображение последней цифры года в барабане выборки в видеоклубе (issue #5298);
 [*] исправлено проигрывание караоке с custom url (issue #5325);
 [*] исправлена индикация проигрываемой радиостанции в разделе радио (issue #5334);
 [*] исправлена проблема с localhost в mysql (issue #5341);
 [*] исправлено проигрывание архива из EPG поверх плеера (issue #5363);
 [*] добавлена опция order_itv_channel_as_adding, позволяющая отображать каналы в том порядке, в котором они добавлены в пакет (issue #4253);
 [*] добавлен новый админ интерфейс, доступен по ссылке /stalker_portal/server/adm/ (issue #4623, issue #4988, issue #5358, issue #5366);
 [*] добавлен мониторинг nginx secure link ссылок (issue #5073);
 [*] добавлена возможность переключать радиостанции кнопками CH +/- (issue #5309);
 [*] правило формирования nginx secure link ссылок вынесено в конфиг - nginx_secure_link_order (issue #5332);
 [*] для PVR на USB теперь не отдается ссылка HLS (issue #5342);
 [*] обновлено приложение ivi (issue #5352);
 [*] добавлена настройка проверки ssl сертификата - check_ssl_certificate (issue #5354);

v 4.9.16-r2
 [*] исправлена ошибка в разделе Радио (issue #5285);
 [*] удалены некорректные проверки на версию прошивки в различных модулях (issue #5275);

v 4.9.16
 [*] исправлено скачивание серии сериала при включенной рекламе (issue #5180);
 [*] исправлено распределение по серверам вещания при включенном мониторинге лоад балансинга (issue #5181);
 [*] исправлена проблема с настройкой mysql_port (issue #5192);
 [*] исправлена ссылка на архивную запись в API v2 (issue #5194);
 [*] исправлена проблема со съезжанием строк таблиц в разделах тв и медиа браузер (issue #5199);
 [*] исправлено отображение ошибки mysql при выполнении phing (issue #5216);
 [*] добавлены улучшения в раздел Радио (избранное, сортировки) (issue #4981);
 [*] добавлена возможность использовать фильмы с custom url и sXXeXX в названии в качестве сериалов (issue #5084);
 [*] добавлена опция, разрешающая массовое обновление ресурса STB (allow_multiple_stb_update) (issue #5190);
 [*] добавлена возможность рассылать приставкам сообщение с прикрепленным видео роликом (issue #5227);
 [*] изменен поиск в видеоклубе, теперь используется стандартная клавиатура (issue #5229);
 [*] добавлена поддержка правой кнопки мышки (эмуляция нажатия exit) (issue #5249);
 [*] обновлено приложение youtube (issue #5256);

v 4.9.15
 [*] исправления в настройках DVB (issue #4621);
 [*] исправлена загрузка обложек с кинопоиска (issue #5044);
 [*] исправление в теме ocean blue (issue #5062);
 [*] исправление в теме digital (issue #5039, issue #5074);
 [*] добавлена настройка частоты и модуляции для DVB-C (issue #4213);
 [*] добавлены сообщения об ошибках установки записи (issue #4361);
 [*] добавлено ограничение сессий для time shift (issue #4520);
 [*] добавлена поддержка файлов сериалов на хранилищах по шаблону sXXeXX в названии файла (issue #4578);
 [*] в настройки добавлено дистанционное управление (issue #5038);
 [*] добавлена поддержка не стандартного mysql порта (issue #5043);
 [*] закрыта возможность группового обновления ресурса stb в API v1 (issue #5056);
 [*] добавлено сохранение фокуса при выходе из внешних модулей (issue #4424);
 [*] добавлен виджет радио (issue #1604);

v 4.9.14
 [*] исправлено сохранение размера буфера, теперь переменные окружения не трогаются (issue #4958);
 [*] исправлена отмена nPVR записи по расписанию (issue #4974);
 [*] исправлена ошибка в формировании случайного хеша (issue #5001);
 [*] исправлено сохранение настроек портала (issue #5009);
 [*] исправлено окно ввода родительского пароля, в частности убрана возможность вызова диалога записи канала (issue #5011);
 [*] исправлено проигрывание видео если рекламный ролик недоступен. убрана реклама перед каждой следующей серией сериала (issue #5024);
 [*] исправлено проигрывание архива при переходе на летнее/зимнее время (issue #5027);
 [*] исправлены временные ссылки для Wowza VOD (issue #5032);
 [*] добавлено автозаполнение информации о фильме с themoviedb.org (issue #1497);
 [*] добавлена возможность установки пароля на доступ в настройки (issue #4795);
 [*] добавлен поиск в Аудио клуб (issue #4889);
 [*] обновлено приложение megogo (issue #4962);
 [*] добавлена поддержка Wowza DVR в качестве time-shift (issue #4985);
 [*] обновлено приложение ex.ua (issue #4993);
 [*] добавлен параметр auto_hide_timeout сообщения для ресурсов SEND_EVENT и STB_MSG в API v1 (issue #5012);
 [*] добавлена полоса 6 МГц для DVB при ручном сканировании (issue #5021);
 [*] добавлена немецкая локализация (issue #5028);

v 4.9.13
 [*] исправлено EPG поверх плеера для избранных каналов (issue #4678);
 [*] исправлен фильтр по user-agent в случае нескольких ссылок на канале (issue #4961);
 [*] исправлена проблема с нажатием OK в EPG поверх плеера (issue #4968);
 [*] исправлена локализация страны трека в аудио клубе (issue #4969);
 [*] добавлена поддержка Wowza для видео клуба (с поддержкой хранилища сталкера) (issue #4558);
 [*] добавлена настройка темы портала в пользовательские настройки (issue #4910);
 [*] добавлен зеленый скин (issue #4926);
 [*] добавлен серый скин (issue #4953);
 [*] добавлена поддержка Wowza DVR в качестве тв архива (issue #4984);

v 4.9.12
 [*] исправлена ошибка в подсчете страниц с DVB каналами (issue #4449);
 [*] исправлена закачка из браузера (issue #4462);
 [*] исправлено зависание при ошибке обновления из настроек (issue #4463);
 [*] исправлен раздел "Скоро" Видеоклуба (issue #4465);
 [*] удален пункт обновления "USB с бутстрапом" (issue #4544);
 [*] исправлена возможность удаления первого условия автообновления (issue #4546);
 [*] в скриптах мониторинга vlc заменен на cvlc (issue #4718);
 [*] исправлена работа записи на USB при использовании мультикаст прокси (issue #4741);
 [*] исправлено обновление epg в случае проблемы с .gz источником (issue #4898);
 [*] обновлено приложение ex.ua (issue #4899);
 [*] исправлена запись nPVR (issue #4901);
 [*] исправлен переход по страницам внутри альбома аудио (issue #4903);
 [*] исправлено описание видео на греческом (issue #4904);
 [*] исправлено проигрывание в приложении youtube (issue #4905);
 [*] исправлено отображение текста ошибки при подписке/отписке на пакет (issue #4920);
 [*] исправлен переход по номеру в избранном (issue #4924);
 [*] исправлена локализация страны в аудиоклубе (issue #4928);
 [*] произведена оптимизация работы с БД (issue #4519);
 [*] изменена реакция на hdmi событие в случае проигрывания видео (issue #4750);
 [*] добавлена возможность использования кластера memcached (issue #4853);
 [*] логотип портала (брендирование) теперь можно указывать в конфиге (issue #4915);
 [*] добавлена опция отображения версии в главном меню (issue #4930);

v 4.9.11
 [*] исправлен модуль аудио клуб в теме ocean blue (issue #4802);
 [*] исправлен ряд замечаний по аудио клубу (работа с плейлистами, отображение жанров и годов) (issue #4827);
 [*] исправлена ошибка с опцией мониторинга и лоад балансингом (issue #4831);
 [*] исправлена работа кнопки оплаты на заблокированном экране (issue #4834);
 [*] исправлено отображение информации о контенте при проигрывании аудио и караоке (issue #4839);
 [*] исправлено отображение иконки проигрывания на жанре и альбоме (issue #4840);
 [*] исправлена ссылка на вики (issue #4858);
 [*] исправлена работа опции nginx secure link при отсутствии пути в url (issue #4874);
 [*] исправлено проигрывание аудио при наличии пробелов в url (issue #4878);
 [*] добавлена поддержка flussonic для архива тв (issue #3566);
 [*] добавлена возможность использовать в url канала маску для проигрывания контента с первой флешки (issue #4772);
 [*] добавлена тема cappuccino (issue #4773, issue #4835);
 [*] добавлена возможность использовать в external_payment_page_url MAC адрес приставки (issue #4828);
 [*] убрана принудительная перезагрузка при смене скина (issue #4832);
 [*] добавлена поддержка astra для записи архива (issue #4881);
 [*] добавлена итальянская локализация (в тестовом виде) (issue #4778);

v 4.9.10
 [*] исправлено отображение иконки раздела ЗАПИСИ в главном меню (issue #4756);
 [*] исправлена смена mac адреса через API v1 (issue #4754);
 [*] добавлен модуль АУДИО КЛУБ (issue #4554);

v 4.9.9
 [*] исправлена локализация таблицы пакетов в профиле пользователя (issue #4599);
 [*] исправлено появление пустой строки в списке компьютеров рабочей группы в медиа браузере (issue #4709);
 [*] исправлено отображение информации в админ интерфейсе о фильме, запущенном из недосмотренных (issue #4742);
 [*] добавлена информация о локали и модели приставки в профиле пользователя (issue #4450, issue #4693);
 [*] добавлена возможность отсылать сообщения с mac и серийным номером на приставку, используя %mac% и %sn% (issue #4701);
 [*] добавлена опция enable_soap_api, включающая SOAP API (по умолчанию отключено) (issue #4747);
 [*] добавлена тема ocean blue (issue #4351);

v 4.9.8-r2
 [*] исправлена ошибка в обновлении подписок на тв каналы (issue #4683);
 [*] исправлена проблема с video_name_format в видеоклубе для английской локализации (issue #4702);
 [*] добавлена поддержка модели WR320 (issue #4689);

v 4.9.8
 [*] добавлено описание типа StringArray в SOAP API (issue #4630);
 [*] исправлена ошибка curl в скрипте мониторинга (issue #4631);
 [*] добавлена возможность обновления списка видео по кнопке DEL (issue #4390);
 [*] обновлена греческая локализация (issue #4390);
 [*] добавлена голландская локализация (issue #4644);
 [*] добавлена опция для скрытия мультикаст настроек в расширенных настройках (hide_adv_mc_settings) (issue #4654);

v 4.9.7
 [*] исправлено добавление приставки в группу (issue #4426);
 [*] исправлена ошибка с возможностью сохранить канал с не установленным жанром (issue #4464);
 [*] исправлено отображение DVB категории каналов на приставках без DVB (issue #4551);
 [*] исправлено продолжение воспроизведения архива при разнице в таймзонах на сервере и на приставке (issue #4615);

v 4.9.6
 [*] исправлена ошибка определения сервера вещания по умолчанию (issue #4489);
 [*] исправлен список пунктов в меню настроек для MAG260 (issue #4523);
 [*] исправлена информация о длительности PVR записи (issue #4550);
 [*] исправлена информация о текущем видео если в расширении присутствуют цифры (например .mp4) (issue #4552);
 [*] обновлены приложения ex.ua и ivi.ru (issue #4508);
 [*] в список поддерживаемых приставок по умолчанию добавлена MAG260 (issue #4528);

v 4.9.5
 [*] исправлено отображение иконки локального time-shift (issue #4399);
 [*] исправлено сохранение настроек DVB (issue #4405);
 [*] исправлена очистка таблицы epg (issue #4418);
 [*] исправлена ссылка на статистику текущих сессий time-shift (issue #4446);
 [*] улучшена работа библиотеки mysql (issue #4454);
 [*] исправлен подсчет страниц в разделе ТВ каналов только с PVR (issue #4478);
 [*] добавлено сообщение об изменении в составе услуг при включении-отключении опционального пакета (issue #4487);
 [*] на MAG260 теперь открывается нативный Youtube (issue #4472);
 [*] на MAG260 скрываются ненужные пункты меню настроек (issue #4474);
 [*] добавлена возможность использовать в фильтре на ссылке ТВ канала страны (issue #4485);

v 4.9.4
 [*] добавлена опция использования старого механизма подписок на тв каналы при включенных тарифных планах (issue #4432);
 [*] добавлены опции управления яркостью светодиода (issue #4433);

v 4.9.3
 [*] исправлен layer_name в модуле Помогатор (issue #4373);
 [*] исправлена работа aspect для тв архива (issue #4381);
 [*] исправлено отображение отключенных каналов в описании пакета (issue #4382);
 [*] добавлена возможность по кнопке MUSIC переходить в раздел РАДИО (issue #4363);
 [*] оптимизирована работа по чистке таблиц (issue #4375);

v 4.9.2
 [*] исправлена работа прогресс бара при загрузке портала (issue #4352);
 [*] исправлено проигрывание архива из EPG поверх плеера (issue #4362);
 [*] добавлено приложение Помогатор (issue #4353);
 [*] добавлена поддержка пультов с программируемой секцией для вызова EPG поверх плеера (issue #4366);

v 4.9.1
 [*] исправлена настройка дорожек субтитров по умолчанию (issue #4313);
 [*] исправлено добавление фильма в список недосмотренных (issue #4315);
 [*] исправлена работа опции "учетная запись отключена" при добавлении нового пользователя (issue #4321);
 [*] исправлена валидация url мультикаст прокси в настройках (issue #4323);
 [*] исправлена функция определения пакета услуг по id сервиса (issue #4345);
 [*] добавлена возможность вызвать расширенное epg во время просмотра канала в полноэкранном режиме (кнопкой EPG) (issue #1188);
 [*] добавлена опция отключения портала (issue #3355);
 [*] сессии просмотра тв архива теперь тоже влияют на загрузку хранилищ (issue #3427);
 [*] добавлена возможность покупать и арендовать видео в видео клубе (issue #3839);
 [*] прописаны секции UNDO в скриптах миграции БД (issue #4344);
 [*] добавлена возможность поиска фильма по id (issue #4346);

v 4.9.0
 [*] исправлено отображение температуры в погоде (issue #4288);
 [*] исправлено отображение прогноза погоды (issue #4289);
 [*] исправлена работа админ интерфейса при использовании firefox 31+ (issue #4290);
 [*] исправлено отображение EPG если источник не xmltv (откат #4250) (issue #4295);
 [*] добавлена возможность отключать модуль tv (issue #2865);
 [*] добавлена поддержка использования шаблонов внешнего вида портала (issue #4154);
 [*] добавлена возможность контролировать мониторингом каналы с flussonic (с временными ссылками) (issue #4256);
 [*] подправлен внешний вид прогноза погоды (issue #4291);

v 4.8.85
 [*] исправлена ошибка при открытии раздела EPG, исправлена индикация архивных передач (issue #4255);
 [*] исправлена ошибка удаления задачи тв архива при удалении тв канала (issue #4265);
 [*] исправлен тип медиа для архива в логе пользователей при непрерывном воспроизведении (issue #4267);
 [*] исправлена проблема со шрифтом в описании EPG (issue #4275);
 [*] исправлена иконка и состояние в погоде для openweathermap (issue #4279);
 [*] исправлена проблема с кодировкой в уведомлении на email (issue #4280);
 [*] исправлена проблема локализации в разделе всех логов пользователей (issue #4281);
 [*] добавлена возможность использовать в качестве источника погоды openweathermap.org (issue #1208);
 [*] добавлен опциональный вид выборки (в списке жанров) "Каналы с PVR" (issue #4008);
 [*] добавлена возможность использовать параметры account_payment_info, account_agreement_info и account_terms_info из данных, получаемых по oss_url (issue #4220);
 [*] добавлена возможность непрерывного воспроизведения записей тв архива при разрыве в EPG (issue #4260);
 [*] добавлена опциональная возможность не отображать Тип и Медиа для offline приставок в списке пользователей (hide_media_info_for_offline_stb) (issue #4274);

v 4.8.84
 [*] исправлено продолжение проигрывания при ошибке авторизации (issue #4196);
 [*] исправлено отображение иконки pvr на каналах где pvr не доступен (issue #4216);
 [*] исправлен выбор звуковой дорожки на каналах с временными ссылками (issue #4219);
 [*] исправлена проблема с инициализацией контекстного меню плеера и аспектом для канала когда не приходит событие 2 (issue #4223);
 [*] исправлена проблема с авторизацией при сбросе access_token (issue #4225);
 [*] исправлена работа временных ссылок для Flussonic (issue #4227);
 [*] исправлена синхронизация заданий тв архива в файл .tasks (issue #4230);
 [*] исправлено сообщение о жалобе (issue #4234);
 [*] исправлена расшифровка mysql ошибки (issue #4235);
 [*] исправлено отображение EPG после удаления xmltv_id на приставке (issue #4250);
 [*] добавлена настройка пути к папке screenshots (screenshots_path) (issue #4191);
 [*] заблокировано редактирование логина пользователя admin (issue #4215);
 [*] переименованы некоторые жанры видео (issue #4218);
 [*] добавлен в настройки параметр aspect по умолчанию (tv_channel_default_aspect) для ТВ каналов (issue #4221);

v 4.8.83
 [*] исправлена проблема с отображением EPG в режиме ТВ списком без предпросмотра (issue #4160);
 [*] исправлена проблема с обновлением EPG, откат к версии 4.8.81 (issue #4186);
 [*] исправлена проблема с выбором звуковой дорожки на каналах с временными ссылками (issue #4195);
 [*] в API v2 добавлена возможность получения статуса ТВ канала (issue #1492);
 [*] добавлена опциональная возможность отображать раздел coming soon в видеоклубе, отображаются фильмы, которые находятся в заданиях (issue #3408);
 [*] добавлена возможность быстрого перехода на текущий проигрываемый канал по кнопке BACK при навигации по списку (issue #4176);
 [*] добавлен формат m4v с список поддерживаемых на хранилище (issue #4185);
 [*] в API v1 добавлено поле IP для ресурса STB (issue #4188);
 [*] добавлено оповещение на email при жалобах на звук/видео/epg (issue #4193);
 [*] добавлен параметр IP при авторизации по auth_url, добавлен ресурс в API v1 для сброса авторизации (issue #4198);
 [*] добавлена поддержка временных ссылок для Flussonic (issue #4209);

v 4.8.82
 [*] исправлена проблема с загрузкой и проигрыванием в приложении ex.ua (issue #4136, issue #4150);
 [*] исправлена остановка переповтора попытки проиграть канал (issue #4155);
 [*] добавлена возможность менять порядок ТВ каналов в режиме предпросмотра (issue #3607);
 [*] добавлена возможность указывать страну для фильма в видео клубе (issue #4007);
 [*] добавлен фильтр в админ интерфейсе для фильмов, по которому выводится список sd фильмов, имеющих hd копию (issue #4024);
 [*] в защиту от выгорания экрана добавлена анимация иконки mute (issue #4083);
 [*] добавлена возможность использовать hardware version в параметрах автообновления (issue #4094);
 [*] добавлена возможность вернуться по кнопке BACK в превью на текущий канал (issue #4112);
 [*] добавлена греческая локализация (issue #4133);
 [*] солюшн для проигрывания ТВ архива вынесен в настройки (issue #4142);
 [*] добавлена остановка событий keydown в модуле apps (issue #4151);

v 4.8.81
 [*] исправлена проблема с внешними субтитрами для сериалов (issue #4042);
 [*] исправлена проблема апострофа в локализации (issue #4069);
 [*] исправлена работа напоминаний для DVB каналов (issue #4079);
 [*] исправлена проблема с запуском настроек при работе по HTTPS (issue #4086);
 [*] исправлена проблема с пустым списком расширенного EPG (issue #4118);
 [*] добавлена возможность ручного сканирования DVB каналов (issue #4076);
 [*] добавлен фильтр, позволяющий отображать только DVB каналы (issue #4093);
 [*] обновлено приложение picasa (issue #4117);
 [*] исправлено проигрывание через прокси в приложении ex.ua (issue #4120);
 [*] добавлена настройка количества одновременных записей на USB (issue #4128);

v 4.8.80
 [*] обновлено приложение ex.ua (issue #3508);
 [*] исправлен список полей в ресурсе users API v2 (issue #3994);
 [*] исправлена локализация жанра "Сериал" (issue #4001);
 [*] исправлен вызов настроек в превью ТВ (issue #4009);
 [*] добавлена поддержка https (issue #4051, pull request #6);
 [*] исправлен парсер курса валют НБУ (issue #4053);
 [*] добавлены списки исключений для проигрывания через прокси (issue #3045);
 [*] добавлен ресурс для сбора статистики проигрывания в API v2 (issue #3421);
 [*] добавлен ресурс в API v2, позволяющий получать сообщения с сервера (issue #3423);
 [*] добавлена возможность использовать префиксы для файлов в автообновлении (issue #3962);
 [*] добавлена возможность перезагрузить приставку из экрана блокировки (issue #3964);
 [*] добавлена поддержка устройств, примонтированных в различные папки (вне /media/) (issue #3969);
 [*] для ТВ каналов теперь по умолчанию aspect - FIT (issue #3973);
 [*] добавлена возможность использования внешней страницы оплаты в личном кабинете (issue #3974);
 [*] добавлена опция отключения иконки PVR в списке каналов (issue #3991);
 [*] добавлена поддержка DVB приставок (MAG270, MAG275). Доступно автоматическое сканирование каналов. В ближайших версиях добавится ручное сканирование. (issue #4021, issue #4022);

v 4.8.79
 [*] исправлена навигация в некоторых местах админ интерфейса (issue #3924);
 [*] исправлено отображение времени в формате am/pm (issue #3960);
 [*] исправлен logrotate конфиг (issue #3961);
 [*] добавлена иконка возможности PVR записи в списке каналов (issue #3422);
 [*] добавлена украинская локализация меню настроек (issue #3765);
 [*] добавлена статистика пользователей по пакетам услуг (issue #3904);
 [*] доработан механизм удаления приставки из админ интерфейса (issue #3923);

v 4.8.78
 [*] исправлена ошибка, иногда возникавшая в модуле downloads при загрузке (issue #3821);
 [*] исправлено выставление прав на папку misc/logos (issue #3832);
 [*] добавлено сообщение о недоступности некоторых видео в youtube (issue #3836);
 [*] исправлена работа индикатора записи после смены длительности (issue #3837);
 [*] в деплой скрипт добавлена поддержка mysql_host с постоянным подключением (issue #3841);
 [*] исправлен запрос пароля на канале (issue #3848);
 [*] исправлен вызов SetCASParam при отсутствии cas_params (issue #3862);
 [*] исправлено переключение избранных каналов цифрами при наличии открытых/заблокированных пользователем каналов (issue #3865);
 [*] исправлена проверка условий автообновления (issue #3877);
 [*] изменена система nPVR, демон stalkerd теперь не нужен, но необходимо установить API_URL на хранилище (issue #2707);
 [*] добавлена опция сбора информации о потерях в rtp потоке (enable_stream_losses_logging) (issue #3120);
 [*] изменения в русской локализации (issue #3784);
 [*] добавлена настройка длительности хранения логов пользователя (user_log_ttl) (issue #3855);

v 4.8.77
 [*] исправлена украинская локализация (issue #3763);
 [*] исправлена работа скринсейвера в версии 0.2.18 (issue #3764);
 [*] исправлено удаление логотипа тв канала (issue #3768);
 [*] исправлена индикация ошибки подключения при быстром перелистывании страниц (issue #3777);
 [*] исправлено проигрывание видео в Youtube (issue #3802);
 [*] исправлена проблема в скрипте мониторинга тв каналов (issue #3809);
 [*] исправлено поведение виртуальной клавиатуры в режиме предпросмотра тв каналов (issue #3820);
 [*] исправлена опция enable_service_button в версии 0.2.18 (issue #3823);
 [*] опция play_in_preview_only_by_ok вынесена в пользовательские настройки (issue #3545);
 [*] добавлена пользовательская настройка действия после загрузки портала (issue #3669);
 [*] добавлена поддержка опции show_unsubscribed_tv_channels в тарифные планы (issue #3774);

v 4.8.76
 [*] исправлена ошибка в локализации (issue #3699);
 [*] исправлено проигрывание фильма после сериала в рамках одного фильма после редактирования (issue #3731);
 [*] добавлена пользовательская настройка приоритетов звуковых дорожек (issue #2857);
 [*] добавлены модули TVZAVR и ZOOMBYTV (issue #3694);
 [*] добавлена информация по количеству пользователей в каждом тарифе (issue #3698);
 [*] сортировка HD фильмов теперь по добавлению (issue #3703);
 [*] добавлена поддержка флага тестировщика (issue #3711);
 [*] добавлена возможность использовать постоянное соединение к mysql серверу (необходимо добавить p: перед именем хоста) (issue #3713);
 [*] добавлена польская локализация (issue #3715, pull request #5);
 [*] добавлена опция show_channel_logo_in_preview, включающая отображение логотипов каналов в списке (issue #3716);
 [*] оптимизирована работа механизма cache_refresh для хранилищ (issue #3721);
 [*] добавлена украинская локализация (issue #3744);

v 4.8.75-r2
 [*] исправлена проблема с скриптом установки (issue #3683);

v 4.8.75
 [*] исправлена ошибка в меню настроек при количестве пунктов меньше шести (issue #1656);
 [*] исправлена проблема с обрезанным текстом на экране блокировки для разрешения PAL при подключении по RCA (issue #3541);
 [*] исправлена нумерация избранных каналов (issue #3600, issue #3635);
 [*] исправлена ошибка в поддержке python 3 для dumpstream (issue #3602);
 [*] исправлено проигрывание видео в приложении ivi (issue #3615);
 [*] исправлена ошибка с перезапуском приставки при изменении локализации в настройках (issue #3618);
 [*] исправлена ошибка в условии проверки на запуск автообновления прошивки (issue #3627);
 [*] исправлена длительность архивной записи в текущем часе (issue #3641);
 [*] исправлена проблема сообщения с перезапуском по кнопке OK (issue #3643);
 [*] исправлена ошибка в навигации по epg и создании записи на закрытом канале (issue #3654);
 [*] исправлен подсчет количества избранных каналов в профиле пользователя (issue #3658);
 [*] исправлена проблема со скачиванием записи когда модули downloads загружаются позже (issue #3659);
 [*] добавлено позиционирование по time-shift кнопками NEXT/PREV (PgDown/PgUp) (issue #1177);
 [*] в пользовательские настройки добавлена опция реагирования на hdmi события (issue #2727);
 [*] добавлено сохранение aspect на каждый канал индивидуально (issue #3195);
 [*] добавлены индивидуальные настройки длительности архива для каждого канала (issue #3377);
 [*] добавлена отдельная таблица для HD фильмов в заданиях модератора (issue #3597);
 [*] меню настроек теперь не доступно при проблеме со связью (issue #3617);
 [*] добавлен опциональный пароль на личный кабинет (issue #3625);

v 4.8.74
 [*] улучшение безопасности (issue #3479, issue #3497);
 [*] исправлена синхронизация состояний каналов (issue #3526);
 [*] исправлена проверка на уникальность mac адреса при добавлении приставки (issue #3543);
 [*] исправлено имя файла при скачивании фильма из видеоклуба (issue #3551);
 [*] исправлено поведения time-shift индикатора в случае когда time-shift фактически не был запущен (issue #3553);
 [*] исправлена авторизация приставок по логину и паролю (issue #3554);
 [*] исправлен переповтор проигрывания тв каналов в случае если канал не http (issue #3555);
 [*] исправлены ошибки при обновлении кеша хранилищ вручную (issue #3569);
 [*] исправлен выход их standby при событии о монтировании/отмонтировании USB носителя (issue #3572);
 [*] добавлена поддержка python 3 в dumpstream (issue #3475);
 [*] добавлена поддержка модели MAG254 в правилах запуска автообновления (issue #3558);

v 4.8.73
 [*] исправлен нахлёст текста в меню обновления в настройках (issue #2882);
 [*] исправлено отключение хранителя экрана при проигрывании радио или аудио (issue #2917);
 [*] исправлено запоминание позиции часов на экране по кнопке CLOCK (issue #3361);
 [*] исправлен пакет услуг радио с опцией "Все услуги" (issue #3362);
 [*] исправлено редактирование записей в разделе городской справки (issue #3365);
 [*] исправлено проигрывание видео когда список тв каналов пуст (issue #3374);
 [*] исправлена отправка событий по списку из файла в котором присутствует BOM (issue #3375);
 [*] исправлено автообновление прошивки при первом запуске портала (issue #3376);
 [*] исправлено определение расширения фильма при скачивании из видеоклуба (issue #3378);
 [*] исправлена работа API v2 при использовании кросдоменного ajax (необходимо выставлять заголовки в конфиге веб сервера) (issue #3411);
 [*] исправлена дата в сообщении send_msg (issue #3413);
 [*] исправлено отображение иконок соотношения сторон в приложении megogo (#3414);
 [*] исправлена украинская локализация в приложении ex.ua (issue #3415);
 [*] исправлена ошибка в API v1 возникавшая при обновлении данных пользователя (issue #3417);
 [*] исправлена(отключена) передача комментария к каналу в списке каналов (issue #3425);
 [*] исправлена ошибка при попытке редактирования данных модераторской приставки (issue #3468);
 [*] добавлена валидация mac адреса при добавлении новой приставки через форму добавления или через API v1 (issue #2953);
 [*] улучшена проверка device_id (issue #3031);
 [*] добавлена возможность не указывать город по умолчанию (default_city_id=0) для погоды (issue #3326);
 [*] добавлена опция отображения иконки низкого качества фильма (enable_video_low_quality_option) (issue #3341);
 [*] оптимизирована страница статистики видео по жанрам (issue #3366);
 [*] обновлено приложение ex.ua (issue #3457);
 [*] добавлен контроль доступа к API хранилища, рекомендуется обновить папку storage на хранилищах (issue #3471);

v 4.8.72
 [*] исправлено получение тв каналов по жанру в API v2 (issue #3246);
 [*] исправлено воспроизведение записи, записанной по EPG при наличии архива на канале (issue #3257);
 [*] исправлена ошибка при сохранении или редактировании анекдота (issue #3261);
 [*] исправлена проверка логина на уникальность при редактировании данных пользователя в API v1 (issue #3305);
 [*] исправлено не четкое соответствие логина при получении данных пользователя по логину в API v2 (issue #3307);
 [*] исправлен двойной ввод логина на тв канале (issue #3313);
 [*] исправлена опечатка в локализации (issue #3338);
 [*] исправлено автообновление для MAG255 (issue #3343);
 [*] добавлены настройки отображения часов на экране (issue #3122);
 [*] добавлена возможность выбора месяца при отправке заданий в архив (issue #3304);
 [*] обновлено приложение ex.ua (issue #3357);

v 4.8.71
 [*] исправлена отправка сообщений через api в случае если приставка не найдена (issue #3153);
 [*] исправлена работа временных ссылок для nginx secure link (issue #3167);
 [*] исправлено воспроизведение канала после ошибки в time-shift (issue #3177);
 [*] исправлено воспроизведение канала после выхода из архива (issue #3178);
 [*] исправлена ошибка, возникавшая при выходе из локального time-shift если установлено действие при выходе: сохранять буфер (issue #3204);
 [*] добавлена поддержка нескольких правил запуска автообновления для одной модели приставки (issue #3079);
 [*] добавлена опция разрешения локальной записи (pvr и time-shift) по типам приставок - allowed_stb_types_for_local_recording (issue #3127);
 [*] добавлена поддержка AuraHD1 и MAG255 в правилах запуска автообновления (issue #3138);

v 4.8.70
 [*] исправлена сортировка по дате в Медиа Браузере (issue #2947);
 [*] исправлена работа настройки callback_url (issue #2976);
 [*] исправлена ошибка воспроизведения канала при выходе из архива (issue #3021);
 [*] исправлена настройка WiFi с ручным DNS (issue #3035);
 [*] исправлена работа youtube при работе с прокси с авторизацией (issue #3037);
 [*] добавлено сохранение ip адреса клиента, работающего через API v2  (issue #3063);
 [*] исправлено проигрывание закрытого канала (issue #3093);
 [*] исправлен запуск веб браузера для версии 0.2.18 (issue #3100);
 [*] исправлен переход по списку каналов кнопками PgUp/PgDown при попадании на запароленный канал (issue #2926);
 [*] добавлена настройка давности EPG - epg_history_weeks (issue #2951);
 [*] добавлена опция добавления даты в сообщение по событию send_msg - display_send_time_in_message (issue #3004);
 [*] добавлена поддержка кнопки BACK (issue #3064);
 [*] добавлено поле номера лицевого счета (Account) в разделе пользователей (issue #3064);

v 4.8.69
 [*] исправлен быстрый переход и нажатие OK на канале в предпросмотре (issue #2528);
 [*] исправлено скачивание больше трех записей подряд (issue #2705);
 [*] исправлено выключение локального time-shift (issue #2731);
 [*] исправлен переход из time-shift в превью канала по кнопке STOP (issue #2905);
 [*] добавлена поддержка NGINX secure links для ТВ каналов (issue #2859);
 [*] оптимизирован механизм переповтора воспроизведения ТВ канала при проблемах (issue #2907);
 [*] оптимизирован запрос EPG с приставок по событию update_epg (issue #2933);
 [*] оптимизирована таблица last_id (issue #2941);
 [*] добавлен развернутый вывод подробностей об mysql ошибке (issue #2959);

v 4.8.68
 [*] исправлена работа dumpstream при сетевых проблемах (issue #2486);
 [*] исправлен импорт больших архивированных XMLTV файлов (issue #2650);
 [*] исправлена работа опции tv_archive_playback_overlap_start при переходе на следующую передачу (issue #2660);
 [*] исправлен порядок сортировки в разделе пользователей (issue #2667);
 [*] исправлено переключения каналов кнопками Channel+/- при включенной опции invert_channel_switch_direction (issue #2680);

v 4.8.67
 [*] исправлена работа паузы в режиме timeshift (issue #2586);
 [*] исправлен доступ к разделам при включенных тарифах и additional_services_on=0 (issue #2596);
 [*] исправлена авторизация новых приставок (issue #2607);
 [*] исправлена работа паузы (issue #2610);
 [*] исправлено сохранение обложки с Кинопоиска при работе сервера через прокси (issue #2637);
 [*] добавлен фильтр по статусу on/off в пользователях (issue #2585);
 [*] удалены неиспользуемые файлы (issue #2592, issue #2593);
 [*] исправлена сортировка тарифов в админ интерфейсе (issue #2601);
 [*] в расширенный фильтр теперь передается строка с версией (issue #2612);
 [*] добавлена возможность выводить причину блокировки из расширенного фильтра (issue #2624);
 [*] добавлена опция сдвига времени начала воспроизведения передачи из ТВ архива (issue #2642);

v 4.8.66
 [*] исправлена проверка device_id для mac адресов в нижнем регистре (issue #2479);
 [*] исправлен сброс access_token на этапе рукопожатия (issue #2522);
 [*] исправлен просмотр EPG для взрослого канала (issue #2559);
 [*] исправлено поведение API при длине логина больше 11 символов (issue #2573);
 [*] исправлено сохранение сервера вещания (issue #2582);
 [*] исправлен сброс кеша для конкретного хранилища (issue #2583);
 [*] добавлен timeshift на локальные USB носители (issue #1315);
 [*] добавлена возможность фильтровать статистику по просмотру ТВ каналов за месяц по языку пользователя (issue #2477);
 [*] добавлен фильтр по недоступным (красным) фильмам в видеоклубе (issue #2512);
 [*] добавлена опция strict_stb_type_check делающая проверку по allowed_stb_types строгой (issue #2520);
 [*] добавлено сохранение версии STB API приставки в базу (issue #2534);
 [*] добавлена возможность проводить авторизацию пользователя в портале при каждом запуске (issue #2538);
 [*] добавлено опциональное приветствие при первом запуске приставки (при создании) (issue #2553);

v 4.8.65
 [*] исправлена работа приложения ex.ua на версии 0.2.12 (issue #2401);
 [*] исправлена работа портала на nginx+php-fpm (issue #2409);
 [*] исправлена ошибка в разделе видео логов (issue #2430);
 [*] исправлен порядок значений в столбцах жалоб на видео/аудио (issue #2431);
 [*] исправлено двойное название видео в английской локализации (issue #2468);
 [*] исправлено отображение названия текущего просматриваемого видео при CUSTOM URL (issue #2472);
 [*] добавлена опциональная сортировка в ТВ - только HD (issue #1582);
 [*] добавлена информация о категориях, актерах режиссере в расширенное описание EPG (issue #2332);
 [*] добавлена настройка защиты от выгорания плазменного экрана (issue #2391);
 [*] добавлен переключатель статусов источников EPG (issue #2446);
 [*] добавлена проверка целостности информации об устройстве при загрузке портала (issue #2461);

v 4.8.64-r2
 [*] исправлена кодировка названия админ групп (issue #2374);
 [*] исправлено позиционирование в timeshift при включенной опции enable_timeshift_tmp_link (issue #2381);
 [*] исправлена локализация жанров видео в админ интерфейсе (issue #2387);
 [*] исправлена проверка уникальности номера тв канала при добавлении (issue #2388);
 [*] исправлено добавление видео с обложкой (issue #2390);
 [*] исправлена проверка уникальности названия фильма (issue #2392);
 [*] улучшена работа опции customization_path (issue #2376);
 [*] добавлена возможность менять логин пользователя через API (issue #2369);
 [*] добавлен раздел статистики для timeshift (issue #2375);

v 4.8.64
 [*] исправлено продолжение воспроизведения записи в ТВ архиве (issue #2289);
 [*] исправлено поле time в user_log, теперь учитывается таймзона (issue #2291);
 [*] исправлено заполнение поля created при создании приставки через API (issue #2297);
 [*] исправлена информация о текущем канале пользователя в админ интерфейсе (issue #2320);
 [*] исправлена работа опции отключения API лога (issue #2324);
 [*] исправлено редактирование EPG а админ интерфейсе (issue #2326);
 [*] исправлен доступ к порталу для новых приставок (issue #2333);
 [*] добавлена возможность управлять правами доступа администраторов (issue #1912);
 [*] переход на mysqli расширение (issue #2122);
 [*] добавлена статистика использования ТВ архива (issue #2260);
 [*] добавлен раздел со списком фильмов, запланированных на включение (issue #2274);
 [*] время жизни временных ссылок на ТВ каналы вынесено в конфиг - tv_tmp_link_ttl (issue #2275);
 [*] изменено поведение механизма изменения формата экрана - по первому нажатию отображается текущее значение (issue #2280);
 [*] добавлено отображение описания (если есть) текущей передачи в OSD по двойному нажатию INFO (issue #2288);
 [*] добавлена опция непрерывного воспроизведения архива (отключение диалога на разрешение продолжения) (issue #2290);
 [*] добавлено отображение логотипа канала в админ интерфейсе (issue #2322);

v 4.8.63-r2
 [*] исправлена проблема с отображением содержимого NFS шар с длинным путем (issue #2240);
 [*] исправлена проблема загрузки новых приставок (issue #2262);
 [*] исправлено обращение к отсутствующим файлам изображений (issue #2264);
 [*] исправлена ошибка, приводившая к остановке загрузки портала если не установлено расширение php-geoip (issue #2265);

v 4.8.63
 [*] исправлено подвисание надписи "Загрузки" youtube при попытке проигрывании некоторых роликов (issue #2113);
 [*] исправлена индикация формата экрана в youtube (issue #2140);
 [*] исправлен выход из приложения ivi (issue #2143);
 [*] исправлена ошибка инвалидации access_token в OAuth (issue #2211);
 [*] добавлена возможность форсирования запроса ссылки для проигрывания для udp:// rtp:// каналов (issue #1799);
 [*] добавлен контроль доступа к ТВ архиву (issue #1859);
 [*] добавлен контроль доступа к TimeShift записям (issue #1860);
 [*] добавлено окно с подробным описанием передачи в epg (issue #1907);
 [*] добавлена опция default_stb_status, позволяющая отвечающая за статус новых приставок (включена/отключена) (issue #2022);
 [*] оптимизирован листинг содержимого директорий в медиа браузере (issue #2136);
 [*] добавлено сохранение страны приставки в базу (issue #2148);
 [*] усилена защита общения приставки с порталом, используется ключ авторизации (issue #2157, issue #2179, issue #2173);
 [*] добавлен вывод описания ошибки mysql, возникающей в deploy скрипте (issue #2172);
 [*] добавлена статистика по использованию TimeShift и фильтр в разделе пользователей (issue 2178);
 [*] по событию update_channels теперь перезапускается проигрывание текущего ТВ канала (issue #2198);
 [*] добавлена возможность разделения сервера для чтения и записи для mysql (issue #2218);
 [*] добавлена опция качественного фильма (для внутреннего использования) (issue #2238);
 [*] обновлено приложение ex.ua (issue #2243);
 [*] исправлена ошибка проигрывания не разрешенного контента в ivi(issue #2210);

v 4.8.62
 [*] исправлены udp/rtp ссылки для мониторинга с помощью VLC (issue #1979);
 [*] исправлена ошибка, возникавшая при обновлении рейтинга с кинопоиска (issue #2013);
 [*] исправлен текстовый вид результата поиска по хранилищам (issue #2031);
 [*] исправлена ошибка при загрузке файла с сохраненными SMB паролями (issue #2078, issue #2112);
 [*] исправлена остановка задания теста скорости (issue #2102);
 [*] исправлен now_playing_type для PVR записей (issue #2119);
 [*] исправлена сортировка пакетов в личном кабинете (issue #2021);
 [*] добавлена возможность использовать расширенный фильтр для контроля доступа к порталу (issue #2046, issue #2128);
 [*] исправлено отображение канала в админ интерфейсе (issue #2133);
 [*] в API v2 добавлена возможность управлять PVR записями (issue #1812);
 [*] добавлено приложение ivi.ru (issue #1960);
 [*] добавлена возможность перезапуска всех заданий записи тв архива из админ интерфейса (issue #1971);
 [*] добавлена опция, позволяющая отключать обработку HDMI событий (issue #2026);
 [*] обновлено приложение ex.ua (issue #2033);
 [*] добавлена совместимость с будущими версиями для интернет браузера (issue #2069);

v 4.8.61
 [*] исправлена работа индикатора пропуска рекламы (issue #1957);
 [*] исправлен показ рекламы для сериала (issue #1961);
 [*] исправлен черный экран при загрузке приставки если она отключена (issue #1965);
 [*] исправлен индикатор тв архива в EPG для NTSC (issue #1969);
 [*] исправлен поиск по хранилищам (issue #1974);
 [*] исправлено обновление погоды через прокси (issue #1982);
 [*] исправлена ошибка безопасности в админ интерфейсе (issue #1987);
 [*] удален отладочный вывод при выполнении cache_refresh (issue #1994);
 [*] добавлена возможность указывать приоритет (частоту появления) рекламы (issue #1953);
 [*] добавлена возможность отключать рекламу определенным пользователям (issue #1956);
 [*] добавлен фильтр категорий видеоклуба для рекламы (issue #1962);
 [*] исправлено отображение логотипа канала в режиме timeshift (issue #1990);
 [*] добавлена возможность указывать фильтр по User-Agent для хранилищ (issue #1991);

v 4.8.60
 [*] исправлено обращение к индексу элемента на странице отчет по пользователям (issue #1896);
 [*] исправлено удаление логотипа канала (issue #1900);
 [*] исправлена ошибка, из-за которой при входе в ТВ открывался пустой список каналов (issue #1904);
 [*] исправлен поиск городов в настройках локализации (issue #1906);
 [*] исправлена сортировка видео по дате в API v2 (issue #1934);
 [*] временно удалены города Албании из списка городов в локализации (issue #1939);
 [*] добавлена возможность прокручивать рекламу перед просмотром видео в видеоклубе (issue #1815);
 [*] добавлена возможность обновлять статус online пользователя в API v2 (issue #1817);
 [*] ограничение отображения градиентной маски в EPG в ТВ предпросмотре (issue #1818);
 [*] добавлена очистка устаревших данных в нескольких таблицах (issue #1856);
 [*] исправлен символ перевода строки (issue #1864);
 [*] добавлен ресурс SEND_EVENT в API (issue #1869);
 [*] исправлен формат времени для английской локализации в EPG (issue #1881);
 [*] добавлена поддержка поля descr для EPG (issue #1887);
 [*] добавлен черный список для настройки ограничения длительности воспроизведения (issue #1892);
 [*] добавлено сохранение выбранной аудио дорожки между переключениями каналов (issue #1893);
 [*] добавлено отображение логотипа канала (issue #1897);
 [*] добавлена опция скрытия пустых ТВ категорий (show_empty_tv_category) (issue #1898);
 [*] добавлено подсвечивание последнего редактируемого ТВ канала а админ интерфейсе (issue #1918);

v 4.8.59
 [*] исправлена нумерация каналов в расширенном EPG (issue #1851);
 [*] исправлен запуск stalkerd (проблема с символом перевода строки) (issue #1863);
 [*] исправлен ресурс video-favorites в API v2 (issue #1866);
 [*] исправлено имя файла записи при наличии в названии передачи специфических символов (issue #1870);
 [*] исправлено имя и оригинальное имя фильма в API v2 (issue #1871);
 [*] добавлен флаг опционального пакета в API в ресурсе TARIFFS (issue #1879);
 [*] добавлена возможность производить OAuth авторизацию используя данные биллинга (issue #1816, issue #1875);
 [*] улучшение безопасности (issue #1852);

v 4.8.58
 [*] добавлена возможность прятать клавиатуру по кнопке keyboard (issue #1775);
 [*] исправлено удаление задания для мониторинга при удалении ТВ канала (issue #1777);
 [*] исправлено переключение источника при отключении мониторингом ссылки на сервер вещания при включенном load balancing (issue #1778);
 [*] исправлено подтягивание оригинального названия с кинопоиска (issue #1779);
 [*] исправлена ситуация, когда при входе в ТВ категорию курсор оказывался на последнем канале (issue #1786);
 [*] исправлена локализация о смене тарифного плана (issue #1791);
 [*] исправлена индикация паузы при переключении канала из режима time-shift (issue #1792);
 [*] исправлен просмотр ТВ архива на каналах, на которых нет подписки (issue #1801);
 [*] исправлена локализация результатов в API v2 (issue #1804);
 [*] исправлены уязвимости, спасибо Ivan Bratash-у (issue #1813, issue #1814, issue #1822, issue #1823, issue #1825);
 [*] исправлен конфликт cron задач при нескольких порталах на сервере (issue #1727);
 [*] добавлена возможность мониторить ссылки для ТВ каналов на каждом из серверов вещания (issue #1773);
 [*] добавлена опция, разрешающая вызов системных настроек (enable_service_button) (issue #1776);
 [*] исправлено сообщение при неудачном входе в NFS папку (issue #1780);
 [*] добавлена индикация частично отключенных ТВ каналов (issue #1782);
 [*] добавлено отображение типа звуковой дорожки (issue #1785);
 [*] добавлена возможность указывать время жизни события (issue #1787);
 [*] добавлена возможность управлять подпиской через API используя внутренний ID пакета (issue #1788);
 [*] добавлена поддержка временных ссылок для мониторинга при включенном load balancing-е (issue #1793);
 [*] добавлена поддержка авторизации в API для работы временных ссылок в Wowza (issue #1819);
 [*] добавлена опция, позволяющая открыть доступ к m3u плейлисту (issue #1826);
 [*] добавлено отображение сообщения от биллинговой системы при блокировке во время загрузки портала (issue #1842);

v 4.8.57
 [*] исправлен запуск проигрывания канала при включенной опции play_in_preview_only_by_ok и переходе по кнопке TV (issue #1710);
 [*] исправлены ошибки при сохранении описания видео в админ интерфейсе (issue #1724);
 [*] в megogo исправлена загрузка отсутствующих изображений (issue #1726);
 [*] исправлено автозаполнение информации о фильме с кинопоиска (issue #1761);
 [*] исправлена индикация паузы при выходе из режима time shift (issue #1760);
 [*] исправлен выход из stand by при включении/выключении телевизора (issue #1765);
 [*] добавлена возможность вручную добавлять сетевые папки в медиа браузер (smb и nfs) (issue #1301);
 [*] добавлена возможность использовать именованный токен при создании временной ссылки для Wowza (issue #1628);
 [*] добавлено отображение названия текущего фильма в админ интерфейсе при проигрывании custom_url в видеоклубе (issue #1725);
 [*] добавлена сортировка пакетов по внешнему id в админ интерфейсе (issue #1734);
 [*] исправлен импорт EPG по URL с переадресацией (issue #1753);

v 4.8.56
 [*] исправлены ошибки, возникавшие при сохранении описания видео при наличии спецсимволов (issue #1408);
 [*] оптимизированы скрипты обновления погоды (issue #1576);
 [*] исправлена нумерация каналов в расширенном EPG при включенной опции enable_numbering_in_order (issue #1608);
 [*] исправлена загрузка обложек с кинопоиска (issue #1675);
 [*] исправлено обновление и удаление записей в ACCOUNTS в API (issue #1679);
 [*] исправлено поле genre_ids для ресурса VIDEO в APIv2 (issue #1681);
 [*] исправлена ошибка при переходе через границу списка каналов при наличии закрытых пользователем каналов (issue #1687);
 [*] исправлена индикация записи будущей передачи после перезапуска приставки (issue #1697);
 [*] добавлена опция всегда включенных субтитров (always_enabled_subtitles) (issue #1575);
 [*] исправлен выход из режима standby при включенной опции display_menu_after_loading (issue #1581);
 [*] добавлено проигрывание канала при входе в раздел тв и включенной опции play_in_preview_only_by_ok (issue #1585);
 [*] добавлено событие перезагрузки портала (issue #1595);
 [*] при получении события от HDMI (включен/отключен) портал выходит в главное меню (issue #1622);
 [*] уменьшение нагрузки на сервер при пропадании тв каналов (issue #1641);
 [*] расширены опции поиска фильмов на хранилищах (issue #1663);
 [*] теперь для обновление рейтинга с кинопоиска используется XML API (issue #1673);
 [*] отключена установка яркости, насыщенности и контрастности для MAG250 (issue #1686);

v 4.8.55
 [*] исправлена активация опции nPVR в редактировании тв канала (issue #1627);
 [*] исправлена работа опции enable_playback_limit (issue #1640);
 [*] исправлена настройка pppoe авто (issue #1659);
 [*] строгая проверка статуса oss_url сделана опциональной (issue #1623);

v 4.8.54
 [*] при отключенном remotepvr теперь не отображается свободное время на сервере в разделе записей (issue #1563);
 [*] при отключенном downloads теперь делается неактивной кнопка "скачать" в разделе записей (issue #1564);
 [*] исправленно проигрывание каналов на последней странице каналов при включенной опции play_in_preview_only_by_ok (issue #1571);
 [*] исправлено проигрывание канала по событию play_channel (issue #1596);
 [*] добавлена возможность управлять учетной записью через API с использованием логина (ресурс USERS) (issue #1570);
 [*] добавлена возможность получать и изменять поля phone и comment ресурсов USERS и ACCOUNTS в API (issue #1574);
 [*] изменена логика анализа ответа, полученного с oss_url - если ошибка и нет поля status, то загрузка приставки блокируется (issue #1591);

v 4.8.53
 [*] оптимизированы события перезагрузки при смене тарифа (issue #1504);
 [*] исправлено дублирование epg при отсутствии сортировки по дате в источнике (issue #1487);
 [*] исправлена локализация сообщения о смене тарифа и начале/окончании записи на сервере (issue #1496);
 [*] исправлен сброс локализации раздела настроек при открытом интернет браузере (issue #1511);
 [*] исправлена корректировка времени записи на USB в EPG (issue #1520);
 [*] исправлена установка буфера в настройках (issue #1523);
 [*] исправлен просмотр запароленного канала (issue #1532);
 [*] исправлен в API доступ к ACCOUNTS по лицевому счету (issue #1535);
 [*] исправлено проигрывание распакованных iso в медиа браузере (issue #1541);
 [*] исправлено проигрывание в YouTube (issue #1551);
 [*] исправлено автообновление для MAG245 (issue #1552);
 [*] исправлено обновление страницы при остановке записи на сервере (issue #1558);
 [*] исправлен выход из портала при включенного проигрывании аудио (issue #1562);
 [*] исправлена работа медиа браузера при отсутствии тв каналов в подписке (issue #1565);
 [*] добавлена возможность привязывать к тв каналу определенные хранилища для PVR (issue #1377);
 [*] в API v2 добавлена возможность управлять списком недосмотренного видео (issue #1380);
 [*] добавлена автоматическая инициализация .tasks файла на хранилищах (issue #1434);
 [*] добавлена возможность использования внешних субтитров в видеоклубе (issue #1436);
 [*] добавлена возможность подписки на опциональные пакеты через API а также добавлены дополнительные поля для учетной записи (онлайн, ip, версия прошивки) (issue #1440);
 [*] добавлена возможность масштабирования изображений в медиа браузере (issue #1463);
 [*] добавлена возможность использования другого порта для apache на хранилище (issue #1517);
 [*] проверка мак адреса на валидность теперь опциональна (issue #1518);
 [*] добавлена возможность выбора кодировки для внешних субтитров (issue #1534);
 [*] отключенные тв каналы на можераторских приставках теперь затеняются (issue #1538);
 [*] добавлена опция для проигрывания каналов по кнопке OK в предпросмотре (play_in_preview_only_by_ok) (issue #1542);
 [*] опция для отключения отображения каналов, отсутствующих в подписке, теперь работает и при отключенных тарифных планах (issue #1545);

v 4.8.52
 [*] исправлено проигрывание некоторых видео (например, Менталист) в ex.ua (issue #1488);
 [*] исправлен доступ к ресурсу ACCOUNTS через API по лицевому счету (issue #1489);
 [*] исправлено получение временной ссылки для неработающего канала в API v2 (issue #1491);
 [*] исправлена работа PVR на каналах с временными ссылками (issue #1494);
 [*] исправлена ошибка при изменении пароля используя ресурс ACCOUNTS в API (issue #1498);
 [*] исправлена ошибка в видеоклубе когда к учетной записи не привязан ни один пакет с фильмами (issue #1503);
 [*] в API v2 добавлены ресурсы для доступа к радио и караоке (issue #1514);
 [*] добавлена возможность вручную изменять время начала и конца PVR записи (issue #1486);
 [*] исправлена сортировка по дате в медиаброузере (работает с 0.2.16-alpha5) (issue #1507);
 [*] добавлена опция (invert_channel_switch_direction) инвертирования направления переключения каналов кнопками вверх/вниз в полноэкранном режиме (issue #1515);
 [*] добавлена возможность получения данных о тарифах и пакетах через API (issue #1413);

v 4.8.51
 [*] исправлен выход из просмотра ТВ архива по кнопке TV (issue #1444);
 [*] исправлено проигрывание видео при включенных тарифных планах (issue #1446);
 [*] исправление навигации в YouTube (issue #1447);
 [*] мелкие изменения (issue #1467, issue #1473, issue #1485);
 [*] добавлена поддержка прокси для парсера кинопоиска (issue #1472);
 [*] исправлена работа автозаполнения с кинопоиска (issue #1472);
 [*] добавлена возможность записи тв канала на локальные носители (issue #1320);
 [*] добавлена опция нумерации каналов по порядку отображения (enable_numbering_in_order) (issue #1400);
 [*] исправлен сдвиг времени погоды, который зависел от таймзоны приставки (issue #1438);
 [*] в ex.ua в результатах поиска теперь фильтруются фильмы с megogo (issue #1443);
 [*] в разделе описания пакета теперь отображается полное описание (issue #1453);
 [*] в REST API v2 расширен список атрибутов для документа ресурса USERS (issue #1457);
 [*] добавлена опция отключения индикации ошибки подключения (issue #1464);
 [*] добавлена поддержка категории взрослых фильмов и опция отключения их отображения в общем списке (issue #1471);
 [*] улучшения категории тв каналов для взрослых и опция отключения отображения таких каналов в общем списке (issue #1477);

v 4.8.50
 [*] исправлено зависание приставки после просмотра в Megogo (issue #1130);
 [*] исправлена работа подписки когда все пакеты опциональные (issue #1378);
 [*] оптимизирована работа для MAG200 (issue #1423);
 [*] исправлено проигрываение роликов с Youtube (issue #1432);
 [*] добавлена поддержка внешних субтитров в Медиа Браузере (issue #1300);
 [*] расширены настройки автоматического обновления прошивки (issue #1399);
 [*] исправлена OAuth авторизация отключенных устройств (issue #1410);
 [*] мелкие изменения (issue #1402);

v 4.8.49
 [*] косметические изменения (issue #1365, issue #1396, issue #1364);
 [*] исправлена ошибка в настройках локализации (иногда не загружался список языков) (issue #1367);
 [*] исправлена ошибка, в результате которой отображались только 10 пакетов в управлении услугами (issue #1368);
 [*] исправлена ошибка при импорте EPG из нескольких источников с пересечением xmltv id (issue #1371);
 [*] улучшен механизм приоритетов при автоматическом выборе аудио дорожки (issue #1395);
 [*] добавлена поддержка поля account_balance в результате ответа oss_url (issue #1332);
 [*] добавлены поля рейтинга MPAA и возрастного ограничения для видеоклуба (issue #1343);
 [*] изменена логика работы update_url (issue #1398);
 [*] добавлены опции дополнительной проверки mac и serial_number для OAuth авторизации по логину и паролю (issue #1383);

v 4.8.48
 [*] добавлена поддержка разных таймзон для time shift (issue #1325);
 [*] исправлена ошибка позиционирования по time shift если длительность архива не кратна 24 часам (issue #1327);
 [*] исправлена ошибка отображения epg в админ портале если программа начинается в 00:00 (issue #1352);
 [*] добавлена индикация пропадания связи с сервером (issue #1305);
 [*] улучшена работа индикатора буферизации (issue #1316);
 [*] исправлен переход через закрытый канал в режиме предпросмотра (issue #1318);
 [*] добавлена возможность смотреть архив передач, закончившихся в текущем часу (issue #1324);
 [*] приоритеты аудио дорожек и субтитров теперь выставляются согласно локали приставки (issue #1326);

v 4.8.47
 [*] исправлена ошибка, возникавшая если в поле адреса для записи присутствовали atrack и vtrack (issue #1273);
 [*] убрана категория megogo из ex.ua (issue #1277);
 [*] косметические исправления (issue #1278, issue #1284);
 [*] исправлена ошибка, в результате которой иногда импортировались не все передачи из xmltv файла (issue #1279);
 [*] добавлена поддержка работы через прокси для Megogo и Oll.tv (issue #1283);
 [*] исправлен доступ по HTTP в /server/tools/ (issue #1285);
 [*] исправлен http запрос по событию подписки/отписки, теперь дополнительно передается id пакета (issue #1290);
 [*] исправлено позицинирование в режиме time shift (issue #1299);
 [*] исправлена работа ex.ua через прокси (issue #1302);
 [*] добавлена возможность в админ интерфейсе сдвигать список каналов по номеру (issue #1229);
 [*] позиционирование стрелками сделано опциональным (enable_arrow_keys_setpos), по умолчанию отключено (issue #1282);
 [*] исправлена локализация внешних настроек (issue #1288);
 [*] добавлена возможность балансировки нагрузки для тв арзива (issue #1293);

v 4.8.46
 [*] исправлен выход из игр (issue #1221);
 [*] исправлена ошибка, из-за которой в некоторых случаях не определялись звуковые дорожки в ТВ (issue #1226);
 [*] исправлено возможное наезжание строк в тв гиде (issue #1240);
 [*] косметические исправления (issue #1243, issue #1249);
 [*] улучшена обработка ошибок хранилища для pvr записей (issue #1247);
 [*] исправлена ошибка "Приставка не поддерживается" на старых версиях прошивки (issue #1250);
 [*] исправлен сброс фильтра тв каналов при выходе из расширенного EPG (issue #1254);
 [*] восстановлена работа опции эмуляции записи на хранилище (issue #1261);
 [*] добавлено логирование всех действий модератора над фильмом (issue #1268);
 [*] добавлена совместимость названий исполняемого файла пакета node.js (issue #1269);
 [*] добавлена возможность на тв канале форсировать включение субтитров (параметр strack) (issue #1225);
 [*] добавлена автоматическая перезагрузка приставки при подписке на пакет с типом "module" (issue #1237);
 [*] добавлена опция ограничения графического разрешения для MAG200 (deny_720p_gmode_on_mag200) (issue #1241);
 [*] добавлена возможность позиционироваться по контенту кнопками стрелок вправо/влево (issue #1244);
 [*] добавлена возможность переключать серии в сериале кнопками NEXT/PREV (issue #1245);
 [*] добавлена отдельная опция разрешения PVR на тв канале; автоматическое заполнение адреса для записи (issue #1246);
 [*] добавлена опция, запрещающая подписываться на опциональные пакеты с приставки (issue #1251);
 [*] добавлена поддержка простого API, отвечающего за разрешение подписки/отписки на опциональный пакет с приставки (issue #1252);
 [*] добавлена возможность просматривать EPG на будущую неделю (issue #1257);

v 4.8.45
 [*] исправлена ошибка "Приставка не поддерживается" при загрузке портала (issue #1191);
 [*] исправлено наложение окон при скачивании из ТВ архива (issue #1198);
 [*] update_url для AuraHD такой же как и для MAG250 (issue #1200);
 [*] исправлена ошибка видеоклуба когда модуль downloads находится в disabled_modules (issue #1201);
 [*] мелкие исправления (issue #1206, issue #1196);
 [*] исправлено зависание tvarchive.sh (issue #1211);
 [*] исправлено отображение серым цветом недоступных каналов (issue #1224);
 [*] исправлена ошибка при добавлении новых приставок (issue #1228);
 [*] добавлен вопрос на продолжение проигрывания в ТВ архиве за 30с до конца (issue #1179);
 [*] добавлена поддержка сортировки по дате в медиа браузере, пока не работает (issue #1103);
 [*] добавлена индикация нахождения в режиме time shift и диалог подтверждения выхода (issue #1189);
 [*] добавлена возможность использования номера лицевого счета в информации об оплате в личном кабинете (issue #1192);
 [*] при отключении мониторинга на канале его статс меняется на доступный (issue #1194);
 [*] добавлена возможность опция "Все услуги" в редактировании пакета услуг. Включает все доступные услуги данного типа (issue #1199);
 [*] добавлено объединение недосмотренного видео между приставками с одним лицевым счетом (issue #1204);
 [*] добавлена возможност фильтровать ссылки на каналы по типу подключения приставки (WiFi/Ethernet) (issue #1205);
 [*] добавлена возможность использовать солюшн при использовании временных ссылок (issue #1209);
 [*] новая ajax библиотека, немного уменьшено время загрузки данных (issue #1212);

v 4.8.44-2
 [*] исправлена ошибка в определении модели приставки (issue #1191);

v 4.8.44
 [*] исправлена ошибка, приводившая к воспроизведению фильма по кругу (issue #1147);
 [*] исправлена работа ТВ архива для пользователей из разных таймзон (issue #1156);
 [*] косметические исправления (issue #1146, issue #1159);
 [*] исправлен выход из просмотра ТВ по EXIT (issue #1178);
 [*] добавлена возможность посмотреть пользователем сведения о лицевом счете при отключении приставки (issue #1094);
 [*] добавлена возможность указывать коррекцию уровня громкости для радио (issue #1132);
 [*] добавлена возможность привязывать сервер ТВ вещания к географической зоне - упрощенная CDN (issue #1136);
 [*] оптимизация БД (issue #1137, issue #1155);
 [*] оптимизация обновления EPG (issue #1148, issue #1160);
 [*] добавлена защита от подделки MAC адреса (issue #1154);
 [*] добавлена опция логарифмической регулировки уровня громкости (issue #1165);
 [*] переделан мониторинг каналов, необходима предварительная ручная настройка (issue #1167);
 [*] API адаптировано под несколько ссылок на канал и фильтр user-agent (issue #1171);
 [*] исправлено проигрывание видео с Youtube (issue #1173);

v 4.8.43
 [*] исправлен первичный импорт базы при установке (issue #1009);
 [*] исправлено дублирование EPG (issue #1068);
 [*] исправлена ошибка навигации по EPG (issue #1118);
 [*] добавлена очистка старых данных в таблицах БД (issue #1126);
 [*] исправлен youtube (issue #1145);
 [*] добавлена возможность переключения ТВ каналов в выбранной категории (issue #985);
 [*] добавлена установка корректных прав доступа на папки для картинок при запуске phing (issue #989);
 [*] добавлена возможность указания нескольких источников на канал с фильтрами по user-agent (issue #1131);
 [*] добавлена возможность балансировки нагрузки (load balancing) между серверами вещания (issue #1138);

v 4.8.42
 [*] исправлена повторная пауза в режиме time shift (issue #1065);
 [*] исправлен обход родительского пароля при просмотре архива (issue #1069);
 [*] исправлена ошибка в парсере кинопоиска (issue #1083);
 [*] oll.tv и megogo отключены для mag200 (issue #1085);
 [*] исправлено позиционирование в режиме time shift (issue #1088);
 [*] исправлен раздел Аудио в ex.ua (issue #1110);
 [*] мелкие исправления, улучшения и оптимизации (issue #1116, issue #1112, issue #1086, issue #1081, issue #991, issue #1109);
 [*] добавлено отображение версии в профиле пользователя и меню админ интерфейса (issue #990, issue #1082);
 [*] добавлена возможность указывать префиксы для ID в XMLTV (issue #1003);
 [*] добавлено поле комментария в профиле пользователя (issue #1010);
 [*] добавлена возможность проигрывания ISO образов (issue #1104);

v 4.8.41
 [*] улучшен выход из режима сна и скринсейвера (issue #1027);
 [*] исправлено настройка spdif по умолчанию (issue #1049);
 [*] исправлено позиционирование при нулевой длительности (issue #1051);
 [*] исправления в локализации (issue #1063, issue #1041);
 [*] исправлена ошибка в API при отсутствии ресурса (issue #1064);
 [*] добавлена возможность получить/установить последний канал в API (issue #998);
 [*] добавлена возможность получать иконки на каналы для разных разрешений клиента (issue #1011);
 [*] включение индикации буферизации сделано опциональным (issue #1067);
 [+] добавлено приложение Megogo (issue #1072);
 [+] добавлена поддержка Vidimax (issue #1078);
 [*] улучшена работа с таймзонами (issue #1079);

v 4.8.40
 [*] исправлен тв архив (issue #987);
 [*] улучшена локализация админ интерфейса (issue #988);
 [*] исправлен выбор субтитров (issue #993);
 [*] исправлено отображение категорий видео в ex.ua (issue #1004);
 [*] исправлено заполнение информации о фильме с кинопоиска (issue #992, issue #1000);
 [+] добавлено приложение oll.tv (issue #1005);

v 4.8.39
 [*] улучшена работа EPG в предпросмотре и в OSD (issue #661);
 [*] исправлен вывод всех учетных записей (ресурс accounts) в API (issue #966);
 [*] исправлен сброс звуковой дорожки по умолчанию после выхода из ex.ua (issue #969);
 [*] улучшена работы админ интерфейса (issue #972, issue #973, issue #975);
 [*] исправлена ошибка, позволяющая обходить запрос родительского пароля (issue #977);
 [*] добавлена поддержка 3D видео (issue #937);
 [*] в API теперь отображается статус активности приставки (ресурс STB) (issue #940);
 [*] добавлена возможность оставлять жалобы на EPG (issue #943);
 [*] исправлено обновление индикатора времени при входе в другое приложение (issue #945);
 [*] добавлена возможность указания конкретного хранилища при включении ТВ архива (issue #954);
 [*] добавлена возможность использования нескольких серверов вещания с временными ссылками (issue #956);
 [*] улучшено форматиорвание текста в разделе "Сведения" личного кабинета (issue #958);
 [*] исправлен выход из скринсейвера (первое нажатие не восприниматся) (issue #965);
 [*] добавлена возможность заполнения информации о фильме по ID фильма из кинопоиска (issue #971);
 [*] добавлена опция "отображать недоступные каналы" (show_unsubscribed_tv_channels) для тарифных планов (issue #974);
 [*] добавлена поддержка CAS (issue #356);

v 4.8.38
 [*] исправлена ошибка со сбросом номера канала при изменении сортировки (issue #888);
 [*] исправлено отображение описания фильма при пустом списке (issue #901);
 [*] устранены ошибки Poedit при сохранении файлов локализации (issue #907);
 [*] исправлено позиционирование за границы часа при просмотре передачи из ТВ архива (issue #909);
 [*] исправлено изменение номера лицевого счета в профиле пользователя (issue #911);
 [*] добавлена посылка сообщения на приставку при изменении статуса через SOAP API (issue #927);
 [*] исправлена ошибка 404 в логе вебсервера при проигрывании PVR записи (issue #928);
 [*] добавлено отображение иконки наличия time shift в OSD канала (issue #640);
 [*] улучшено позиционирование по контенту цифровыми кнопками (issue #894);
 [*] добавлен импорт обложки фильма из кинопоиска (issue #902);
 [*] добавлено обновление информации о пользователе из биллинга (issue #904);
 [*] раздел Тарифы в админ интерфейсе теперь отображается всегда (issue #912);
 [*] добавлена сортировка списка каналов по любым колонкам в админ интерфейсе (issue #913);
 [*] добавлена опция для тарифа - по умолчанию (issue #917);
 [*] исправлена авторизация по паролю (issue #931);
 [*] упрощена процедура обновления версии портала для кастомизированных версий (issue #898);

v 4.8.37
 [*] исправлена ошибка, связанная с появлением пустого тв канала с номером 0 (issue #875, issue #880);
 [*] исправлена индикация включения дополнительных услуг в профиле польхователя (issue #882);
 [*] добавлена возможность вручную заводить приставку в базе (issue #847);
 [+] добавлено SOAP API для управления учетными записями пользователей, обновлено REST API (issue #848);
 [*] добавлена возможность указывать коррекцию времени для EPG (issue #867);
 [*] добавлен прогресс бар, отображающий ход буферизации при проигрывании (issue #869);
 [*] добавлен клиент ex.ua (issue #889);

v 4.8.36
 [*] улучшено обновление информации о сериале с кинопоиска (issue #832);
 [*] исправлена ошибка в пользовательском API (issue #844);
 [*] улучшена авторизация в API (issue #826);
 [*] добавлен вывод сообщения в случае ошибки при добавлении обложки фильма (issue #843);
 [+] добавлен механизм тарифных планов и пакетов услуг (issue #846);
 [*] обновлен youtube (issue #876);
 [*] добавлена возможность удаленного обновления прошивки (issue #878);

v 4.8.35
 [*] исправлено периодическое пропадание EPG в OSD (issue #423);
 [*] исправлена ошибка локализации в меню настроек (issue #801);
 [*] исправлена ошибка Unauthorized request в API (issue #808);
 [*] исправлена ошибка при сканировании WIFI сетей в настройках (issue #833);
 [*] исправлен выходи из портала (issue #840);
 [*] исправлено сохранение избранного видео через API (issue #841);
 [*] улучшено сохранение паролей от SMB шар (issue #671);
 [*] добавлена автоматическая установка зависимостей через phing (issue #715);
 [*] добавлена возможность глобально конфигурировать доступ к управлению приставками (issue #797);
 [*] оптимизировано обновление текущей погоды (issue #807);
 [*] улучшена очистка списка избранного через API (issue #828);
 [+] добавлена английская локализация админ интерфейса (issue #823);
 [+] добавлен виджет курса валют ЦБР (issue #293);

v 4.8.34
 [*] исправления в системе напоминаний тв передач (issue #713);
 [*] исправлена ошибка обновления EPG (issue #788);
 [*] исправлена ошибка при задании домашней директории приставок для хранилища (issue #789);
 [*] исправлена ошибка переключения каналов после изменения порядка в избранном (issue #790);
 [*] добавлена возможность настраивать коррекцию длительности просмотра тв архива (issue #791);

v 4.8.33
 [*] исправлена ошибка при обновлении рейтинга кинопоиска (issue #716);
 [*] исправлена большая пауза в отрисовке при открытии меню настроек (issue #717);
 [*] исправлена ошибка при сохранении NTP сервера (issue #724);
 [*] исправлена ошибка в меню настроек (issue #725);
 [*] исправлен двойной ввод пароля при просмотре закрытого канала (issue #728);
 [*] исправлена ошибка с непроигрыванием первого канала при включенной опции display_menu_after_loading (issue #729);
 [*] исправлена ошибка проигравания запароленого канала из истории по кнопке BACK (issue #731);
 [*] исправлено проигрывание файлов по SMB (issue #732);
 [*] исправлен переповтор радио по event 1 (issue #737);
 [*] исправлен просмотр файлов во вложенных папках по SMB (issue #738);
 [*] исправлен выход в предпросмотр при наборе номера канала (issue #742);
 [*] исправлена работа аудио виджета (issue #752);
 [*] исправлен лишний запрос пароля при быстром переходе по каналам (issue #757);
 [*] исправлены прользовательские закрытые каналы (issue #767);
 [+] теперь cron задания создаются автоматически при выполнении phing (issue #432);
 [+] в медиа браузере добавлено избранное (issue #700);
 [*] добавлена возможность запрета загрузки портала для определенного типа приставки (issue #770);
 [*] добавлена возможность просмотра .bmp .tiff .png изображений (issue #772);

v 4.8.32
 [*] исправлена ошибка со сбросом фильтров на тв каналах (issue #621);
 [*] исправлена ошибка с появлением надписи "Unauthorized request" при редактировании каналов (issue #682);
 [*] исправлена ошибка с подпиской на тв каналы через API (issue #699);
 [*] исправлено дублирование записей с подписками на каналы (issue #705);
 [+] добавлена возможность указания рейтинга с конопоиска для фильма и сортировка по этому рейтингу (issue #288);
 [*] добавлена возможность использования одного тв архива для нескольких порталов (issue #675);
 [*] добавлено сохранение номера последней просмотренной серии для сериала (issue #676);
 [*] исправлено включение фильмов по расписанию (issue #680);
 [*] улучшен менеджер закачек для работы с чужими загрузками (issue #681);
 [*] добавлена поддержка сохранения паролей от smb шар в userfs (issue #711);

v 4.8.31
 [*] исправлена ошибка при просмотре полного EPG для канала (issue #634);
 [*] исправлена ошибка с добавлением HD фильмов (issue #641);
 [*] исправлена ошибка с запуском phing (issue #646);
 [+] обновлен менеджер закачек для работы со временными ссылками (issue #653, issue #663);
 [*] исправлена ошибка при запуске автоматического обновления (issue #667);
 [*] в статистике видео по жанрам добавлено поле сколько всего фильмов в данном жанре (issue #560);
 [*] исправлено позиционирование окна плеера в режиме предпросмотра при графическом разрешении 1920х1080 (issue #599);
 [*] обновлен вид виджета погоды и раздела погоды на сутки (issue #627);
 [*] улучшен механизм авторизации (issue #635);
 [*] улучшен механизм воспроизведения радио по http (issue #637);
 [*] улучшен механизм загрузки портала с указанием mac адреса (issue #639);
 [+] добавлена возможность привязывать картинки логотипов к тв-каналам, актуально для API (issue #642);
 [*] добавлено сохранение ImageDate в базу (issue #648);
 [*] теперь если модераторское хранилище недоступно - невозможно добавить новый фильм (issue #652);

v 4.8.30
 [*] исправлена ошибка при обновлении по http из внешних настроек (issue #561);
 [*] исправлена работа smb когда в сети нет групп (issue #587);
 [*] исправлена ошибка с ограничением количества добавляемых в подписку каналов (issue #589);
 [*] исправлена ошибка при изменении настроек звука во внешнем меню настроек (issue #591);
 [*] исправлена ошибка при изменении автоподстройки частоты кадров во внешнем меню настроек (issue #602);
 [*] исправлена ошибка сохранения настроек локализации во внешнем меню настроек (issue #604);
 [*] исправлена ошибка при установке NTP сервера во внешнем меню настроек (issue #605);
 [*] исправлена ошибка, в результате которой не удалялся фильм из недосмотренных (issue #615);
 [*] исправлена ошибка, приводившая к неправильному отображению картинок в погоде (issue #618);
 [*] исправлена ошибка установки настроек SPDIF во внешнем меню настроек (issue #620);
 [*] исправлена ошибка обработки очереди сообщений (issue #638);
 [+] добавлена иконка наличия тв архива в списке каналов (issue #313);
 [+] добавлено окно подтверждения выхода из портала (issue #571);
 [+] добавлена настройка использования внешнего меню настроек (issue #622);
 [+] добавлена возможность конфигурировать внешнее меню настроек (issue #623);
 [*] улучшен вид EPG в режиме предпросмотра (issue #632);
 [+] добавлено API для работы со сторонними клиентами (issue #290);

v 4.8.23
 [+] добавлено автоматическое выключение хранилища при превышении порога ошибок (issue #576);
 [*] добавлены таймауты ожидания ответа от хранилищ (issue #576);

v 4.8.22
 [*] косметические изменения в медиа браузере (issue #556) (issue #555);
 [*] исправлено съедание последней строки описания видео (issue #562);
 [*] изменены критерии запуска автоматического обновления (issue #563);
 [+] добавлен сервер авторизации OAuth (issue #559);

v 4.8.21
 [+] добавлена поддержка порта в url портала (issue #508);
 [*] исправлен выход из тв и радио в режиме single_module (issue #513);
 [*] исправлено кувыркание node.js (issue #514);
 [*] исправлено моргание секции EPG в предпросмотре (issue #515);
 [*] исправлено добавление каналов при включенном фильтре качества (issue #519);
 [*] исправлен просмотр закрытого канала без ввода пароля (issue #522);
 [*] интервал опроса сервера вынесен в настройки, по умолчанию - 2 мин (issue #520);
 [*] исправлена работа ajax библиотеки если в адресе портала указан порт (issue #547);
 [*] сохранение в базу кол-во банков и версию образа (issue #551);

v 4.8.20
 [*] исправлена ошибка при удалении канала из ТВ архива (issue #441);
 [*] исправлена сортировка хранилищ по загрузке для модераторских приставок (issue #487);
 [*] исправлена ошибка при добавлении в избранное большого числа каналов (issue #488);
 [*] исправлена погода на сутки (issue #494);
 [*] исправлено проигрывание роликов с Youtube (issue #496);
 [+] интеграция внешнего меню настроек (issue #413);
 [+] добавлено логирование запросов к API (issue #414);
 [+] добавлен выход во внутренний портал (issue #415);
 [*] сообщение о начале записи теперь автоматически закрывается через 5 мин (issue #434);
 [+] добавлено поле комментария для канала (issue #444);
 [+] добавлена возможность принудительно запустить хранитель экрана (кнопка CLOCK) (issue #451);
 [+] добавлена возможность последовательно проигывать все файлы в папке; для музыки - виджет в главном меню (issue #452) (issue #480);
 [+] добавлена онлайн статистика просмотра тв архива (issue #459);
 [*] добавлено сохранение серийного номера приставки в базу (issue #483);
 [+] добавлена возможность вручную с приставки управлять признаком ограничения по возрасту на тв каналах (issue #489);
 [+] добавлена возможность на моlераторской приставке выбирать хранилище при просмотре видеоклуба (кнопка PLAY) (issue #491);
 [+] добавлена поддержка smb/cifs (issue #242);
 [+] добавлена возможность просмотра JPG файлов в медиа браузере (для mag250) (issue #348);
 [+] добавлена возможность установки аутентификации для API(issue #426);
 [+] добавлена возможность отключения API (issue #467);
 [+] добавлена опция для хранилища - Недоступно для MAG100 (issue #485);

v 4.8.19
 [+] добавлено управление доступом в определенные разделы главного меню для каждой приставки (issue #412);
 [+] добавлена возможность включения аутентификации и регистрации приставки по логину и паролю (issue #411);
 [+] добавлена возможность включения фильмов по расписанию (issue #244);
 [*] исправлена ошибка при записи программы из EPG при переходе через сутки (issue #422);
 [*] исправлена фоновая картинка строк для разрешения 720p (issue #421);
 [*] исправлена ошибка, связанная с неактивной кнопкой "скачать" в разделе тв архива (issue #419);
 [+] добавлена возможность скачать или проиграть контент из веб браузера (issue #418);
 [*] изменено поведение окна уведомления при активном плеере (issue #400);

v 4.8.18
 [*] исправлена ошибка при выборе субтитров (issue #297);
 [*] исправлена ошибка перехода во внутренний портал (issue #300);
 [*] добавлена поддержка atrack vtrack для временных ссылок;
 [*] исправлена ошибка при обновлени и кеша фильмов для custom protocol;
 [*] исправлена ошибка в работе PRV (issue #365);
 [*] исправлена ошибка "черного экрана" по окончании медиа в UPnP (issue #370);
 [*] исправлена ошибка при отключении приставки через API (issue #371);
 [*] исправлена ошибка перехода во внутренний портал при закрытии напоминания (issue #375);
 [+] в тестовом режиме добавлена поддержка ТВ архива на Wowza;
 [*] переделаны фильтры качества ТВ каналов;
 [*] изменено управление опцией additional_services_on через API (issue #346);
 [*] возобновлено логирование ошибок при проигрывании ТВ каналов;
 [*] переделано взаимодействие модуля временных ссылок Wowza с порталом (issue #357);
 [*] изменена работа окна выбора звуковых дорожек или субтитров (issue #360);
 [+] добавлена возможность скачать запись канала из раздела "Записи" (при использовании мультикаста);
 [+] добавлена возможность скачать передачу из ТВ архива (при использовании мультикаста);
 [+] непрерывное воспроизведение ТВ архива (при использовании мультикаста);
 [+] в API добавлена возможность отсылать сообщения на приставки (issue #376);

v 4.8.17
 [*] исправлена ошибка, при которой иногда в OSD при проигрывании отображалась программа передач (issue #276);
 [*] исправлен неверный путь к файлу обновления при обновлении с USB для mag250 (issue #292);
 [*] теперь при переходе в stand by поднимается уровень яркости индикатора на передней панели (issue #262);
 [+] добавлена поддержка WOWZA load balancing;
 [+] добавлены фильтры качества для тв каналов;
 [+] добавлен раздел Состояние Сети с возможностью замера скорости;
 [+] добавлен раздел Интернет;
 [*] изменен механизм работы опции nfs_proxy;

v 4.8.16
 [*] исправлено обновление с USB;
 [*] исправлено переключение субтитров;
 [+] добавлена настройка URL для обложек фильмов;
 [*] md5 сумма фильма теперь начинает подсчитавыться в момент закрытия задания;
 [*] в поиске уникальных фильмов по хранилищам добавлена поддержка модераторских хранилищ;
 [+] добавлена возможность привязывать к назделам справочные видеоролики, которые проигрываются по кнопке info (issue #238);
 [*] обновились игры;
 [*] исправлен нахлест текста в видеоклубе (issue #249);
 [*] исправлена ошибка, приводившая к неправильному подсчету общего количества фильмов в видеоклубе (issue #250);

v 4.8.15
 [*] исправлена ошибка в работе напоминаний по epg;
 [+] добавлен раздел Личный Кабинет;
 [+] добавлен раздел Видео Инструкция;

v 4.8.14
 [*] исправлена проверка пароля при просмотре закрытого контента;
 [+] добавлена поддержка временных http ссылок для Wowza Media Server.
 [*] модераторские приставки теперь имеют полный доступ к ТВ каналам, независимо от подписок;
 [*] исправлена ошибка с отображением обложек в видеоклубе;
 [*] теперь по умолчанию в видеоклубе установлено отображение с инфо;
 [*] исправлены стили в youtube и играх;
 [*] фильмы, находящиеся только на модераторских хранилищах, теперь не отображаются в общем списке;
 [+] добавлена возможность мониторить состояние http каналов;
 [+] добавлена возможность проверять версию образа и автоматически обновлять по http при загрузке портала;

v 4.8.13
 [+] разрешение 720p;
 [+] разрешение NTSC;
 [+] тв архив - из EPG можно просмотреть прошедшие передачи;
 [+] time shifting и pause live tv;
 [+] добавлена возможность ограничивать длительность непрерывного воспроизведения;
 [+] добавлен скринсейвер с настройкой интервала;

v 4.8.12
 [*] исправлена ошибка со сбросом в списов всех каналов из режима избранных при выходе из EPG;
 [+] добавлена возможность скачивания фильма из видеоклуба на флешку по кнопке (REC) или из информации о фильме;
 [+] добавлен раздел загрузок;

v 4.8.11
 [+] добавлена настройка update_url;
 [+] добавлен режим single module - загрузка портала в тв или видео без выхода в другие разделы;
 [+] в тестовом виде добавлена поддержка внешних http хранилищ;
 [*] обновлен youtube;

v 4.8.10
 [*] исправлена автозагрузка stalkerd;
 [*] переделан rest клиент;
 [*] выход из главного меню портала на url, переданный через GET[referrer];
 [*] исправлена ошибка в логах управления видео;
 [*] объединение пакетов каналов при импорте услуг;
 [*] исправлен выход из игр;

v 4.8.9
 [*] исправлена ошибка в слое настроек;

v 4.8.8
 [*] добавлена возможность выбора города и страны в настройках локализации с помощью клавиатуры;

v 4.8.7
 [*] добавлен переход из сталкера во внутренний портал по EXIT из главного меню если сталкер был запущен из него;
 [*] установка размеров и координат браузера;
 [*] исправлен URL для обновления ПО через HTTP;
 [*] добавлены настройки прокси для приставки;

v 4.8.6
 [*] исправлена ошибка с добавлением скриншотов;

v 4.8.5
 [+] добавлена настройка прокси для сервисов, требующих интернет;
 [+] добавлена игра Sudoku;

v 4.8.4
 [*] иcправлена ошибка с отложенной остановкой записи;
 [*] добавлены настройки stalkerd;

v 4.8.3
 [*] исправлена первоначальная инициализация базы данных при установке;

v 4.8.2
 [*] исправлена установка буфера;
 [*] добавлен демон stalkerd для контроля времени начала и длительности записи;
 [*] исправлена ошибка с двумя активными строками в расширенном EPG;
 [+] добавлена возможность записи передач по EPG;
 [+] добавлена игра Lines;
 [+] добавлена игра Memory;
 [+] добавлена Picasa;

v 4.8.1
 [*] вызов меню переключения звуковых дорожек перенесен на кнопку APP (WEB);

v 4.8.0
 [*] исправлена ошибка сброса номера текущей страницы при перелистывании страниц в режиме предпросмотра ТВ;
 [+] добавлена новая система конфигурационных файлов;
 [+] в настройках добавлена опция установки адреса ntp сервера;
 [+] добавлена опция в конфигурационном файле display_menu_after_loading;
 [+] новый механизм обновления версии;
 [+] добавлена возможность записи ТВ каналов;
 [+] добавлена настройка буффера воспроизведения;
 [+] добавлена настройка аудио выходов;
 [*] исправлена ошибка черного экрана в Медиа Браузере;
 [*] исправлена ошибка проигрывания запароленного канала в предпросмотре ТВ;

v 4.7.2
 [+] добавлено REST API;
 [+] добавлен новый формат отображения видео - универсальный;
 [*] при получении event 5 во время проигрывания тв канала по http будет произведена повторная попытка воспроизведения;
 [+] добавлена настройка - город по умолчанию (DEFAULT_CITY_ID);

v 4.7.1
 [*] добавлено отображение подсказки при смене формата видео изображения (aspect);
 [*] исправлена ошибка с дублированием жанров в окне выборки видеоклуба;
 [*] полностью переделана локализация интерфейса;
 [+] добавлена поддержка установки таймзоны;
 [+] добавлены опции выбора местоположения, которое влияет на текущую погоду и погоду на сутки вперед;
 [+] в качестве источника погоды теперь используется weather.co.ua;

v 4.6.3
 [*] исправлена ошибка переключения каналов цифрами на пульте в режиме предпросмотра;

v 4.6.2
 [*] исправлена ошибка, приводившая к проигрыванию канала в окне ТВ Гида;
 [*] исправлено отображение окна выбора серии при большом количестве серий;
 [*] исправлена ошибка с перемещением избранного ТВ канала между страницами;
 [+] добавлена возможность работы караоке по HTTP;
 [+] добавлена возможность быстрого позиционирования по контенту путем ввода на пульте времени перехода;

v 4.6.1
 [+] добавлена возможность создания одноразовых http ссылок на тв каналы;
 [*] раздел "USB Устройства" переименован в "Медиа Браузер", в разделе теперь отображаются все USB и UPnP устройства;

v 4.5.1
 [*] исправлена ошибка, приводившая к неправильному отображению статистики онлайн просмотра;
 [*] исправлено переключение канала цифрами с пульта в разделе ТВ с предпросмотром и сортировкой "по имени";
 [+] добавлен раздел YouTube;

v 4.4.92
 [+] добавлена возможность работы видеоклуба по HTTP;

v 4.4.91
 [*] добавлена информация в заданиях модераторов о том включен ли фильм;

v 4.4.9
 [*] исправлено поведение бегунка громкости при достижении граничных положений на контенте с коррекцией громкости;
 [+] добавлена возможность установки напоминания на передаче;
 [*] добавлена возможность выбора режима просмотра сериалов - по одному/непрерывно;
 [*] исправлена ошибка удаления элемента из списка избранного;
 [*] в статистике модераторов отображаются только свои задания, редактор видит всё;
 [*] добавлен фильтр спецсимволов в названии фильма;
 [+] добавлен раздел упрощенного ТВ Гида;
 [+] добавлен модуль обновления ПО;
 [*] изменено поведение на нажатие кнопок CH+- в режиме предпросмотра ТВ;

v 4.4.82
 [*] изменены значения яркости, контрастности и насыщенности по умалчанию;

v 4.4.81
 [*] исправлена ошибка добавления фильма в избранное видеоклуба;

v 4.4.8
 [*] исправлена ошибка, проявляющаяся при удаленном отключении приставки;
 [*] исправлена ошибка коррекции звука при включенном MUTE;
 [*] добавлена возможность установки громкости в 50% (без учета коррекции) кнопкой REFRESH;

v 4.4.7
 [+] добавлена поддержка сжатых gzip-ом файлов XMLTV;
 [*] исправлена ошибка, возникавшая при нажатии кнопки TV на пульте на фильме, находящимся в паузе;
 [*] исправлена ошибка, приводящая к появлению черного экрана при быстром нажатии ОК при входе в раздел ТВ;
 [*] оптимизирована загрузка страницы "Задания" административного портала;
 [+] добавлен раздел ТВ Гид;
 [*] исправлена ошибка при переключении ТВ из полноэкранного режима в режим предпросмотра;
 [*] исправлена ошибка, возникавшая при попытке проиграть недоступный http ТВ канал;
 [+] добавлена коррекция звука для ТВ и Видеоклуба;
 [*] изменены изображения для текущей погоды в главном меню;

v 4.4.4
 [*] исправлена ошибка при переключении избранных каналов цифрами;

v 4.4.3
 [*] исправлена ошибка, возникавшая при позиционировании фильма в начало;
 [*] удалено сохранение времени, на котором был остановлен фильм в контексте текущей страницы списка;

v 4.4.2
 [*] исправлена ошибка, возникавшая при нажатии EXIT на проигрываемом http канале;

v 4.4.1
 [+] добавлено отключение дополнительных сервисов;
 [+] теперь можно проиграть только те каналы, которые находятся в списке подписки;
 [*] исправлена ошибка в Chrome при редактировании информации о фильме;
 [*] исправлена ошибка при первой загрузке приставки, приводившая к остановке загрузки портала;
 [*] исправлена ошибка, вызывавшая проигрывание канала в главном меню при выходе из раздела ТВ до заполнения списка;
 [*] исправлена нумерация строк в текстовом выводе поиска фильмов по хранилищам;
 [+] добавлена настройка локализации интерфейса портала;

v 4.4.0
 [*] исправлена проблема с переключением каналов цифрами в списке предпросмотра;
 [+] добавлен раздел "городская справка" в инфопортал;
 [+] добавлен раздел "гороскопы" в инфопортал;
 [*] исправлен баг с проигрыванием ТВ канала в главном меню;
 [+] добавлен раздел "анекдоты" в инфопортал;
 [*] в видеоклубе по умолчанию установлена сортировка по добавлению;
 [+] добавлена игра "Быки и Коровы" в инфопортал;
 [*] отключено начальное позиционирование при просмотре сериала;
 [*] хранилища монтируются только при проигрывании;
 [*] исправлен глюк в навигации по USB устройству;
 [*] исправлено поведение раздела "USB Устройство" при отключении USB устройства во время проигрывания;
 [+] добавлено отображение текущего времени в режиме предпросмотра ТВ;
 [*] при наличии нескольких видеофайлов в одной папке хранилища - не будет проигран ни один, за исключением ситуации, когда файлы являются сериями сериала;

v 4.3.4
 [*] исправлена ошибка проигрывания файлов с USB;
 [*] исправлена ошибка сохранения избранного в видеоклубе;

v 4.3.3
 [+] добавлен виджет курса валют в главном меню;
 [+] добавлен раздел инфопортал;
 [+] добавлен раздел погода в инфопортал;
 [+] текущая погода в главном меню;
 [+] добавлен раздел настройки родительского пароля;
 [+] добавлен раздел сортировки в видеоклубе - недосмотренное;
 [*] в видеоклубе пункты "поиск" и "выборка" сгруппированы в один пункт - "другое";
 [+] в видеоклубе добавлена возможность добавлять/удалять избранное;
 [+] добавлено текущее время в OSD;
 [*] добавлена очистка списка при выходе из раздела и переходе через страницу;

v 4.3.2
 [+] поддержка RTSP/HTTP для видеоклуба;
 [+] поддержка RTSP/HTTP для караоке;
 [+] добавлена возможность создания хранилища только для модераторов;
 [*] по умолчанию в разделе ТВ - список с предпросмотром;
 [*] по ОК при просмотре ТВ - открывается список с предпросмотром;
 [*] при переключении каналов кнопками вверх/вниз - отображается OSD;
 [*] меню переключения звуковых дорожек и субтитров вынесено на безымянную кнопку;
 [*] исправлена ошибка скрытия меню переключения звуковых дорожек и субтитров по кнопке MENU;
 [*] при попытке проигрывания фильма с незамонтированного хранилища происходит принудительное монтирование, при неудаче - сообщение об ошибке;

v 4.3.1
 [*] проигрывание по OK из раздела информации о фильме;
 [+] в списке ТВ появилась возможность цифрами переходить на нужный канал;
 [+] добавлена обработка кнопки Power;
 [*] исправлена ошибка с удаленным переключением канала;
 [*] исправлена ошибка, приводившая к зависанию портала на этапе загрузки;
 [+] поддержка английской локализации;
 [*] исправлен баг с добавлением скриншота к фильму;

v 4.3.0
 [*] открытие раздела ТВ с фокусом на последнем проигрывамом канале;
 [*] исправлен порядок избранных каналов ТВ при переключении каналов с пульта;
 [+] добавлено сохранение статуса включенного избранного в ТВ;
 [*] исправлен баг при перемотке фильма, когда после нажатия кнопки PLAY проигрывалось несколько секунд с предыдущего места;
 [+] добавлена обработка кнопки TV;
 [*] добавлено перемещение в вертикальном подменю главного меню кнопками PAGE+/-;
 [*] увеличен шрифт в информации о фильме;
 [*] изменен тип AJAX запроса с POST на GET, что позволило уменьшить скорости утечки памяти;

v 4.2.1
 [*] исправлены ошибки при генерации меню переключения звуковыхдорожек и субтитров;

v 4.2.0
 [+] добавлен вывод версии образа в главном меню (в скобках);
 [*] вывод дебага по умолчанию выключен, для его включения порталу необходимо передать GET параметр "debug";
 [+] вывод информации о текущей передаче в главном списке ТВ;
 [*] исправлен баг, когда по ошибке вместо события - last_played_tv, на сервер отправлялось - last_played_video;
 [*] в 4 раза увеличена скорость загрузки страничных данных раздела ТВ;
 [*] исправлена ошибка, когда не проигрывается файл с USB устройства;
 [+] хранилище монтируются при начале проигрывания и отмонтируются при стопе (отключено из-за несоответствия с образом);
 [+] исправлена ошибка интерпритации нажатия кнопки 4 при переключении каналов;
 [+] новое главное меню;
 [*] управление громкостью кнопками вправо-влево;
 [*] исправлена ошибка наложения OSD слоя с информацией о канале в режиме ТВ "список с инфо";
 [*] исправлена ошибка сбрасывания шага перемотки в видеоклубе;
 [+] добавлено меню переключения звуковых дорожек и субтитров (вызывается по ОК);
